\ start by loading the constants
load ../../dataDictionary/common/common.4th

: nullCalc 0 ;

: miblogStringField ot_STRING st_UNKNOWN pt_UNKNOWN kl_UNDEFINED fc_UNDEFINED ;
: miblogDoubleField ot_DOUBLE st_UNKNOWN pt_UNKNOWN kl_UNDEFINED fc_UNDEFINED ;

: ft_miblog_timestamp ( -- ft )  [  miblogStringField s" ft_miblog_timestamp" nullCalc FieldTypeDefine ] LITERAL ;
: ft_miblog_address ( -- ft )    ft_agent_IP ;
: ft_miblog_var ( -- ft )        [ miblogStringField s" ft_miblog_var"   nullCalc FieldTypeDefine ] LITERAL ;
: ft_miblog_row ( -- ft )        [ miblogStringField s" ft_miblog_row"   nullCalc FieldTypeDefine ] LITERAL ;
: ft_miblog_val ( -- ft )        [ miblogDoubleField s" ft_miblog_val"   nullCalc FieldTypeDefine ] LITERAL ;
: ft_miblog_delta ( -- ft )      [ miblogDoubleField s" ft_miblog_delta" nullCalc FieldTypeDefine ] LITERAL ;
: ft_miblog_str ( -- ft )        [ miblogStringField s" ft_miblog_str"   nullCalc FieldTypeDefine ] LITERAL ;

\ interface (ft_stream_id) is a disk column in other views, but here we have to synthesize it
: streamIdField ot_OBJECT st_UNKNOWN pt_UNKNOWN kl_STREAMID fc_FLOW ;

\ this will only apply to variables that happen to have the "row" field be an ifIndex
: ft_stream_id ( -- ft ) [ streamIdField s" ft_stream_id" ft_agent_IP ft_miblog_row 2 implicitCalc FieldTypeDefine ] LITERAL ;

: miblogFileSpec { -- tspec }
	TableSpecNew
	dup ft_miblog_timestamp addKey
	dup ft_agent_IP addKey
	dup ft_miblog_var addKey
	dup ft_miblog_row addKey
	dup ft_miblog_val addKey
	dup ft_miblog_delta addKey
	dup ft_miblog_str addKey
 ;


: endGroup { results | -- } results .table_or_emptyRow ;

: runQuery ( walker -- ) 
    dup IntervalWalkSpec                                 \ ( walker spec -- )
        miblogFileSpec TableSpecSetTextFileSpec          \ ( walker -- )
           0 0 ['] endGroup IntervalWalkTextQueryHT
;
         
\ important to have a cr after the last ';' to make sure the last word gets compiled
