function INM_WriteObj(objAttrs, params, embedAttrs) 
{ 
  var str = '<object ';
  for (var i in objAttrs)
    str += i + '="' + objAttrs[i] + '" ';
  str += '>';
  for (var i in params)
    str += '<param name="' + i + '" value="' + params[i] + '" /> ';
  str += '<comment><embed ';
  for (var i in embedAttrs)
    str += i + '="' + embedAttrs[i] + '" ';
  str += ' ></embed></comment></object>';

  document.write(str);
}

function INM_Obj(){
  var ret = INM_Args(arguments);
  INM_WriteObj(ret.objAttrs, ret.params, ret.embedAttrs);
}

function INM_Args(args){
  var ret = new Object();
  ret.embedAttrs = new Object();
  ret.params = new Object();
  ret.objAttrs = new Object();
  for (var i=0; i < args.length; i=i+2){
    var currArg = args[i].toLowerCase();    

    switch (currArg){	
      case "o_codebase":
        ret.objAttrs["codebase"] = args[i+1];
        break;
      case "o_code":
        ret.objAttrs["code"] = args[i+1];
        break;
      case "o_archive":
        ret.objAttrs["archive"] = args[i+1];
        break;
      case "o_classid":
        ret.objAttrs["classid"] = args[i+1];
        break;
      case "o_id":
        ret.objAttrs["id"] = args[i+1];
        break;
      case "o_name":
        ret.objAttrs["name"] = args[i+1];
        break;
      case "e_type":
        ret.embedAttrs["type"] = args[i+1];
        break;
      case "e_pluginspage":
        ret.embedAttrs["pluginspage"] = args[i+1];
        break;
      case "height":
        ret.objAttrs[args[i]] = ret.embedAttrs[args[i]] = args[i+1];
        break;
      case "width":
        ret.objAttrs[args[i]] = ret.embedAttrs[args[i]] = args[i+1];
        break;
      default:
        ret.embedAttrs[args[i]] = ret.params[args[i]] = args[i+1];
    }
  }
  return ret;
}

