/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_dpc':["path","$ig"],
      '_$_lqc':["graph","$vg"],
      '_$_hwc':["edgeDefaults","$Di"],
      '_$_kwc':["nodeDefaults","$Fi"],
      '_$_hyc':["groupNodeDefaults","$Jj"],
      '_$_nbd':["createEdge","$Tk"],
      '_$_tbd':["createNode","$Uk"],
      '_$_wie':["createGroupNode","$Hy"],
      '_$_raf':["converter","$BG"],
      '_$_rbf':["idBinding","$YG"],
      '_$_jhf':["edgesSource","$OJ"],
      '_$_vif':["nodesSource","$wK"],
      '_$_akf':["childBinding","$YK"],
      '_$_zkf':["groupBinding","$vL"],
      '_$_alf':["groupsSource","$wL"],
      '_$_qnf':["edgeIdBinding","$OM"],
      '_$_zof':["nodeIdBinding","$xN"],
      '_$_csf':["groupIdBinding","$UO"],
      '_$_lsf':["inEdgesBinding","$cP"],
      '_$_mwf':["outEdgesBinding","$YQ"],
      '_$_vyf':["edgeLabelBinding","$bS"],
      '_$_szf':["locationXBinding","$yS"],
      '_$_tzf':["locationYBinding","$zS"],
      '_$_zzf':["nodeLabelBinding","$FS"],
      '_$_geg':["sourceNodeBinding","$CU"],
      '_$_heg':["successorsBinding","$DU"],
      '_$_keg':["targetNodeBinding","$GU"],
      '_$_pfg':["converterParameter","$cV"],
      '_$_ngg':["lazyNodeDefinition","$zV"],
      '_$_bhg':["parentGroupBinding","$LV"],
      '_$_nkg':["predecessorsBinding","$mX"],
      '_$_ffh':["buildGraph","$Ngb"],
      '_$_egh':["updateGraph","$nhb"],
      '_$_lnh':["evaluate","$Xkb"],
      '_$_lbl':["updateGroupNode","$tbc"],
      '_$_udl':["updateEdge","$ycc"],
      '_$_vdl':["updateNode","$zcc"],
      '_$_lql':["AdjacentEdgesGraphSource","ASB"],
      '_$_mql':["AdjacentNodesGraphSource","BSB"],
      '_$_nql':["Binding","CSB"],
      '_$_oql':["GraphSource","DSB"],
      '_$_pql':["GraphSourceBase","ESB"],
      '_$_qql':["TreeSource","FSB"],
      '_$$_unb':["yfiles.binding","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
