/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_rjd':["addLabelAddedListener","$go"],
      '_$_wmd':["addStripeChangedListener","$wp"],
      '_$_ymd':["addStripeCreatedListener","$xp"],
      '_$_pnd':["removeLabelAddedListener","$Kp"],
      '_$_oqd':["removeStripeChangedListener","$Zq"],
      '_$_qqd':["removeStripeCreatedListener","$ar"],
      '_$_owd':["editLabel","$At"],
      '_$_qxd':["canReparent","$Ut"],
      '_$_uxd':["createLabel","$Wt"],
      '_$_gce':["reparent","$Ov"],
      '_$_ide':["isValidParent","$kw"],
      '_$_sqe':["findStripes","$jC"],
      '_$_nif':["maxRowLevel","$oK"],
      '_$_rif':["movedStripe","$sK"],
      '_$_tqf':["clickInputMode","$pO"],
      '_$_grf':["deletableItems","$BO"],
      '_$_atf':["maxColumnLevel","$qP"],
      '_$_ywf':["selectableItems","$jR"],
      '_$_lxf':["stripeSelection","$vR"],
      '_$_dyf':["cancelRecognizer","$LR"],
      '_$_mzf':["inputModeContext","$rS"],
      '_$_hcg':["draggedRecognizer","$JT"],
      '_$_wcg':["keyboardInputMode","$WT"],
      '_$_ydg':["pressedRecognizer","$uU"],
      '_$_ceg':["showStripePreview","$yU"],
      '_$_jgg':["labelAddingAllowed","$wV"],
      '_$_kgg':["labelEditableItems","$xV"],
      '_$_lhg':["releasedRecognizer","$TV"],
      '_$_tjg':["labelEditingAllowed","$VW"],
      '_$_flg':["stripeDropInputMode","$GX"],
      '_$_jlg':["textEditorInputMode","$JX"],
      '_$_gmg':["clickSelectableItems","$gY"],
      '_$_ing':["keyboardModePriority","$HY"],
      '_$_ipg':["autoRemoveEmptyLabels","$DZ"],
      '_$_uqg':["reparentStripeHandler","$nab"],
      '_$_vqg':["resizeStripeInputMode","$oab"],
      '_$_mrg':["clickInputModePriority","$Fab"],
      '_$_nrg':["clickSelectableRegions","$Gab"],
      '_$_wrg':["draggedRecognizerTouch","$Oab"],
      '_$_ctg':["pressedRecognizerTouch","$lbb"],
      '_$_cug':["ignoreContentRecognizer","$Kbb"],
      '_$_nug':["releasedRecognizerTouch","$Vbb"],
      '_$_qug':["reparentStripeInputMode","$Wbb"],
      '_$_hwg':["multiSelectionRecognizer","$Icb"],
      '_$_zxg':["resizeNeighborsRecognizer","$wdb"],
      '_$_vzg':["stripeDropInputModePriority","$reb"],
      '_$_xzg':["textEditorInputModePriority","$seb"],
      '_$_yah':["resizeStripeInputModePriority","$Seb"],
      '_$_abh':["synchronizeWithGraphSelection","$Ueb"],
      '_$_xbh':["reparentStripeInputModePriority","$rfb"],
      '_$_bfh':["selectAll","$Lgb"],
      '_$_nhh':["clearSelection","$Vhb"],
      '_$_yhh':["deleteSelection","$fib"],
      '_$_vrh':["addDraggedListener","$Vmb"],
      '_$_yth':["addDraggingListener","$Snb"],
      '_$_tuh':["deleteStripe","$lob"],
      '_$_xyh':["removeDraggedListener","$mqb"],
      '_$_hzh':["addDeletedItemListener","$tqb"],
      '_$_lzh':["addDragStartedListener","$wqb"],
      '_$_gbi':["removeDraggingListener","$hrb"],
      '_$_tbi':["addDragCanceledListener","$srb"],
      '_$_wbi':["addDragFinishedListener","$trb"],
      '_$_ybi':["addDragStartingListener","$urb"],
      '_$_bei':["addDragCancelingListener","$rsb"],
      '_$_dei':["addDragFinishingListener","$ssb"],
      '_$_ogi':["removeDeletedItemListener","$Btb"],
      '_$_sgi':["removeDragStartedListener","$Etb"],
      '_$_cii':["removeDragCanceledListener","$jub"],
      '_$_eii':["removeDragFinishedListener","$kub"],
      '_$_gii':["removeDragStartingListener","$lub"],
      '_$_yii':["addDeletedSelectionListener","$Cub"],
      '_$_gji':["addLabelTextChangedListener","$Hub"],
      '_$_bki':["removeDragCancelingListener","$Zub"],
      '_$_dki':["removeDragFinishingListener","$avb"],
      '_$_lki':["addDeletingSelectionListener","$ivb"],
      '_$_vki':["addValidateLabelTextListener","$pvb"],
      '_$_qni':["removeDeletedSelectionListener","$Kwb"],
      '_$_yni':["removeLabelTextChangedListener","$Pwb"],
      '_$_koi':["removeDeletingSelectionListener","$Zwb"],
      '_$_toi':["removeValidateLabelTextListener","$gxb"],
      '_$_lwi':["insertChild","$MAb"],
      '_$_kdj':["findStripe","$pEb"],
      '_$_ndj':["insertChildWithOwnerIndexAndSize","$sEb"],
      '_$_kfj':["findStripeFiltered","$qFb"],
      '_$_nfj':["findStripesFiltered","$tFb"],
      '_$_yjj':["adjustSize","$AHb"],
      '_$_anj':["getDraggedStripe","$bJb"],
      '_$_vnj':["createPreviewTable","$wJb"],
      '_$_noj':["createClickInputMode","$MJb"],
      '_$_ipj':["createStripeSelection","$fKb"],
      '_$_iqj':["createKeyboardInputMode","$EKb"],
      '_$_wrj':["createStripeDropInputMode","$oLb"],
      '_$_xrj':["createTextEditorInputMode","$pLb"],
      '_$_ssj':["createReparentStripeHandler","$GLb"],
      '_$_tsj':["createResizeStripeInputMode","$HLb"],
      '_$_htj':["createReparentStripeInputMode","$VLb"],
      '_$_rvj':["onDragged","$aNb"],
      '_$_jwj':["onDragging","$pNb"],
      '_$_oxj':["onLabelAdded","$RNb"],
      '_$_oyj':["onDeletedItem","$pOb"],
      '_$_uyj':["onDragStarted","$tOb"],
      '_$_qak':["onDragCanceled","$hPb"],
      '_$_sak':["onDragFinished","$iPb"],
      '_$_uak':["onDragStarting","$jPb"],
      '_$_jck':["onDragCanceling","$RPb"],
      '_$_mck':["onDragFinishing","$SPb"],
      '_$_qck':["onStripeChanged","$WPb"],
      '_$_sck':["onStripeCreated","$XPb"],
      '_$_bdk':["shouldBeDeleted","$fQb"],
      '_$_sgk':["onDeletedSelection","$ORb"],
      '_$_ahk':["onLabelTextChanged","$TRb"],
      '_$_hik':["onDeletingSelection","$xSb"],
      '_$_pik':["onValidateLabelText","$ESb"],
      '_$_wik':["shouldLabelBeEdited","$JSb"],
      '_$_yjk':["shouldInstallCommand","$lTb"],
      '_$_lnk':["createSourceGhostVisualization","$QUb"],
      '_$_bpk':["isValidBegin","$FVb"],
      '_$_qsk':["onLabelTextEdited","$qXb"],
      '_$_dtk':["getTargetSubregion","$AXb"],
      '_$_muk':["getPreviewTableLayout","$kYb"],
      '_$_rvk':["onClickInputModeChanged","$LYb"],
      '_$_svk':["onClickInputModeClicked","$MYb"],
      '_$_lwk':["createResizeVisualization","$eZb"],
      '_$_exk':["onKeyboardInputModeChanged","$vZb"],
      '_$_wxk':["onStripeDropInputModeChanged","$KZb"],
      '_$_yxk':["onTextEditorInputModeChanged","$LZb"],
      '_$_dyk':["onClickInputModeDoubleClicked","$PZb"],
      '_$_myk':["createTargetGhostVisualization","$XZb"],
      '_$_syk':["onReparentStripeHandlerChanged","$cac"],
      '_$_tyk':["onResizeStripeInputModeChanged","$dac"],
      '_$_mzk':["onReparentStripeInputModeChanged","$wac"],
      '_$_hdl':["updateTargetVisualizationBounds","$mcc"],
      '_$_gfl':["updateSourceVisualization","$kdc"],
      '_$_qfl':["createStripe","$udc"],
      '_$_tfl':["determineGesture","$xdc"],
      '_$_agl':["updateTargetVisualization","$Edc"],
      '_$_iul':["ResizeStripeInputMode","IWB"],
      '_$_jul':["IReparentStripeHandler","JWB"],
      '_$_kul':["ReparentStripeHandler","KWB"],
      '_$_lul':["ReparentStripeInputMode","LWB"],
      '_$_mul':["StripeDropInputMode","MWB"],
      '_$_nul':["ReparentStripePositionHandler","NWB"],
      '_$_oul':["TableEditorInputMode","OWB"],
      '_$_pul':["TableReshapeHandler","PWB"],
      '_$$_mob':["yfiles.input","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
