/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_pj':["loadAllTemplates","$a"],
      '_$_qj':["WithSvgContent","$a"],
      '_$_rj':["WithKey","$a"],
      '_$_xrc':["width","$Lg"],
      '_$_nsc':["height","$Pg"],
      '_$_gkd':["getMinimumSize","$so"],
      '_$_ivd':["setSize","$et"],
      '_$_uyd':["createTemplateContext","$pu"],
      '_$_szd':["getPreferredSize","$Hu"],
      '_$_due':["center","$AD"],
      '_$_rve':["content","$kE"],
      '_$_wze':["templateStyleRenderer","$fG"],
      '_$_edg':["mapperRegistryTag","$cU"],
      '_$_xxh':["setSvgElement","$Kpb"],
      '_$_mti':["getTag","$nzb"],
      '_$_elj':["getRenderSize","$hIb"],
      '_$_klj':["createRenderer","$oIb"],
      '_$_quj':["arrange","$CMb"],
      '_$_qbk':["setArrangeRect","$APb"],
      '_$_ack':["getOutlineShape","$JPb"],
      '_$_qdk':["getPreferredSizeWithContext","$rQb"],
      '_$_ufk':["onPropertyChanged","$rRb"],
      '_$_xpk':["updateContent","$ZVb"],
      '_$_guk':["onItemFocusedChanged","$eYb"],
      '_$_puk':["onItemSelectedChanged","$nYb"],
      '_$_hwk':["onItemHighlightedChanged","$aZb"],
      '_$_gal':["updateFor","$Pac"],
      '_$_xal':["lookupContext","$fbc"],
      '_$_bbl':["initializeFrom","$jbc"],
      '_$_qul':["TemplateStyleBase","QWB"],
      '_$_rul':["GraphItemTemplateContextBase","RWB"],
      '_$_sul':["MapperBasedUserTagProvider","TWB"],
      '_$_tul':["ITemplateLabelStyle","UWB"],
      '_$_uul':["TemplateLabelStyleRenderer","XWB"],
      '_$_vul':["ITemplateNodeStyle","ZWB"],
      '_$_wul':["TemplateNodeStyleRenderer","CXB"],
      '_$_xul':["ITemplatePortStyle","EXB"],
      '_$_yul':["TemplatePortStyleRenderer","GXB"],
      '_$$_nx':["item","$eg"],
      '_$$_uy':["canvas","$Ng"],
      '_$$_az':["insets","$Qg"],
      '_$$_qz':["autoFlip","$mh"],
      '_$$_wz':["styleTag","$xh"],
      '_$$_xz':["template","$yh"],
      '_$$_hab':["renderSize","$Yh"],
      '_$$_nab':["minimumSize","$ni"],
      '_$$_vab':["outlineShape","$Gi"],
      '_$$_zab':["preferredSize","$Qi"],
      '_$$_acb':["setTag","$gm"],
      '_$$_ceb':["content","$kE"],
      '_$$_veb':["isFlipped","$dH"],
      '_$$_web':["labelText","$fH"],
      '_$$_qfb':["svgContent","$iJ"],
      '_$$_tfb':["itemFocused","$dK"],
      '_$$_cgb':["isUpsideDown","$AL"],
      '_$$_dgb':["itemSelected","$BL"],
      '_$$_vgb':["itemHighlighted","$LQ"],
      '_$$_ahb':["renderTemplateId","$ZS"],
      '_$$_kkb':["setArrangeRect","$APb"],
      '_$$_mkb':["onPropertyChanged","$rRb"],
      '_$$_nkb':["onLabelTextChanged","$TRb"],
      '_$$_okb':["updateContent","$ZVb"],
      '_$$_pkb':["writeBackLabelText","$JXb"],
      '_$$_qkb':["updateFor","$Pac"],
      '_$$_rkb':["initializeFrom","$jbc"],
      '_$$_nob':["yfiles.drawing","yfiles._R"],
      '_$$_oob':["IUIElementStyle","SWB"],
      '_$$_pob':["TemplateLabelStyle","VWB"],
      '_$$_qob':["StringTemplateLabelStyle","WWB"],
      '_$$_rob':["LabelTemplateContext","YWB"],
      '_$$_sob':["TemplateNodeStyle","AXB"],
      '_$$_tob':["StringTemplateNodeStyle","BXB"],
      '_$$_uob':["NodeTemplateContext","DXB"],
      '_$$_vob':["TemplatePortStyle","FXB"],
      '_$$_wob':["StringTemplatePortStyle","HXB"],
      '_$$_xob':["PortTemplateContext","IXB"]
    },yfiles.mappings);
  }
  return undefined;
});
