/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_uad':["getPath","$Gk"],
      '_$_ybd':["getOutline","$Yk"],
      '_$_zcd':["getSegmentCount","$tl"],
      '_$_ced':["lookup","$Wl"],
      '_$_yfd':["isInside","$Jm"],
      '_$_ggd':["getBounds","$Om"],
      '_$_hid':["createVisual","$Dn"],
      '_$_hud':["isHit","$Ks"],
      '_$_zud':["isInBox","$Zs"],
      '_$_wwd':["isVisible","$Ft"],
      '_$_syd':["updateVisual","$nu"],
      '_$_nzd':["getIntersection","$Du"],
      '_$_uzd':["getPreferredSize","$Hu"],
      '_$_vce':["getTangent","$Zv"],
      '_$_dvj':["cropPath","$MMb"],
      '_$_gbl':["arrangeByLayout","$obc"],
      '_$_pcl':["getSourceArrowAnchor","$Vbc"],
      '_$_rcl':["getTargetArrowAnchor","$Wbc"],
      '_$_ofl':["getTangentForSegment","$sdc"],
      '_$_fgl':["addArrows","$Jdc"],
      '_$_hwl':["SimpleAbstractEdgeStyle","KZB"],
      '_$_iwl':["SimpleAbstractLabelStyle","LZB"],
      '_$_jwl':["SimpleAbstractNodeStyle","MZB"],
      '_$_kwl':["SimpleAbstractPortStyle","NZB"],
      '_$$_upb':["yfiles.drawing","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
