/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_bk':["ForColumn","$a"],
      '_$_ck':["ForRow","$a"],
      '_$_dk':["ForStripe","$a"],
      '_$_ek':["isRoot","$a"],
      '_$_fk':["getRoot","$b"],
      '_$_gk':["getIndex","$c"],
      '_$_hk':["getLeaves","$d"],
      '_$_ik':["getParent","$e"],
      '_$_jk':["getChildren","$g"],
      '_$_kk':["getActualSize","$h"],
      '_$_lk':["getDescendants","$i"],
      '_$_mk':["getActualInsets","$j"],
      '_$_nk':["getEffectiveMinSize","$k"],
      '_$_ok':["getAbsoluteBounds","$l"],
      '_$_pk':["registerDynamicUndoSupport","$a"],
      '_$_qk':["unregisterStaticUndoSupport","$b"],
      '_$_rk':["unregisterDynamicUndoSupport","$c"],
      '_$_sk':["registerStaticUndoSupport","$d"],
      '_$_tk':["clear","$a"],
      '_$_uk':["createRootRow","$b"],
      '_$_vk':["createRootColumn","$c"],
      '_$_wk':["getAccumulatedInsets","$d"],
      '_$_xk':["createRootRowWithSize","$e"],
      '_$_yk':["createRootRowWithTag","$f"],
      '_$_zk':["createRootRowWithStyle","$g"],
      '_$_al':["createRow","$h"],
      '_$_bl':["createRootColumnWithSize","$i"],
      '_$_cl':["createRootColumnWithTag","$j"],
      '_$_dl':["createRootColumnWithStyle","$k"],
      '_$_el':["createColumn","$l"],
      '_$_fl':["createLabelStyle","$n"],
      '_$_gl':["removeWithResize","$o"],
      '_$_hl':["removeRecursively","$p"],
      '_$_il':["adjustPreferredSize","$q"],
      '_$_jl':["createLabelModelParameter","$r"],
      '_$_kl':["removeRecursivelyWithResize","$s"],
      '_$_ll':["addLabel","$t"],
      '_$_ml':["createRootRowAtIndexWithSize","$u"],
      '_$_nl':["createRootRowWithSizeAndTag","$v"],
      '_$_ol':["createRootRowWithSizeAndStyle","$w"],
      '_$_pl':["createRootRowWithStyleAndTag","$x"],
      '_$_ql':["createRowWithSize","$y"],
      '_$_rl':["createRowWithTag","$z"],
      '_$_sl':["createRowWithStyle","$A"],
      '_$_tl':["setColumnParent","$B"],
      '_$_ul':["setRowParent","$C"],
      '_$_vl':["createGrid","$D"],
      '_$_wl':["createRootColumnAtIndexWithSize","$E"],
      '_$_xl':["createRootColumnWithSizeAndTag","$F"],
      '_$_yl':["createRootColumnWithSizeAndStyle","$G"],
      '_$_zl':["createRootColumnWithStyleAndTag","$H"],
      '_$_am':["createColumnWithSize","$I"],
      '_$_bm':["createColumnWithTag","$J"],
      '_$_cm':["createColumnWithStyle","$K"],
      '_$_dm':["addLabelWithTag","$L"],
      '_$_em':["addLabelWithParameter","$M"],
      '_$_fm':["createRootRowAtIndexWithSizeAndTag","$N"],
      '_$_gm':["createRootRowWithSizeStyleAndTag","$O"],
      '_$_hm':["createRowAtIndexWithSize","$P"],
      '_$_im':["createRowWithSizeAndTag","$Q"],
      '_$_jm':["createRowWithSizeAndStyle","$R"],
      '_$_km':["createRowWithStyleAndTag","$S"],
      '_$_lm':["createRootColumnAtIndexWithSizeAndTag","$T"],
      '_$_mm':["createRootColumnAtIndexWithSizeAndStyle","$U"],
      '_$_nm':["createRootColumnWithSizeStyleAndTag","$V"],
      '_$_om':["createColumnAtIndexWithSize","$W"],
      '_$_pm':["createColumnWithSizeAndTag","$X"],
      '_$_qm':["createColumnWithSizeAndStyle","$Y"],
      '_$_rm':["createColumnWithStyleAndTag","$Z"],
      '_$_sm':["addLabelWithParameterAndStyle","$ab"],
      '_$_tm':["createRootRowAtIndexWithSizeStyleAndTag","$bb"],
      '_$_um':["createRowAtIndexWithSizeAndTag","$cb"],
      '_$_vm':["createRowAtIndexWithSizeAndStyle","$db"],
      '_$_wm':["createRowWithSizeStyleAndTag","$eb"],
      '_$_xm':["findStripe","$fb"],
      '_$_ym':["findStripes","$gb"],
      '_$_zm':["findStripesInNode","$hb"],
      '_$_an':["createRootColumnAtIndexWithSizeStyleAndTag","$ib"],
      '_$_bn':["createColumnAtIndexWithSizeAndTag","$jb"],
      '_$_cn':["createColumnAtIndexWithSizeAndStyle","$kb"],
      '_$_dn':["createColumnWithSizeStyleAndTag","$lb"],
      '_$_en':["addLabelWithParameterStyleAndTag","$mb"],
      '_$_fn':["addLabelWithParameterStyleAndPreferredSize","$nb"],
      '_$_gn':["createRowAtIndexWithSizeStyleAndTag","$ob"],
      '_$_hn':["createColumnAtIndexWithSizeStyleAndTag","$pb"],
      '_$_in':["calculatePreferredSize","$qb"],
      '_$_jpc':["rows","$kg"],
      '_$_grc':["owner","$Dg"],
      '_$_dtc':["columns","$ah"],
      '_$_lwc':["selectedRows","$Hi"],
      '_$_uxc':["selectedColumns","$uj"],
      '_$_vxc':["selectedStripes","$vj"],
      '_$_izc':["mixedSelectionAllowed","$dk"],
      '_$_pzc':["crossTableSelectionAllowed","$nk"],
      '_$_kdd':["getStripeHitTestable","$El"],
      '_$_mdd':["getFarBorderHitTestable","$Hl"],
      '_$_ndd':["getNearBorderHitTestable","$Il"],
      '_$_qdd':["getLeadingHeaderHitTestable","$Ll"],
      '_$_rdd':["getTrailingHeaderHitTestable","$Ml"],
      '_$_fjd':["enumerateHits","$Wn"],
      '_$_imd':["getVisualCreator","$lp"],
      '_$_jzd':["createParameter","$Bu"],
      '_$_eve':["stripe","$ZD"],
      '_$_gdf':["subregion","$JH"],
      '_$_mxf':["stripeSelection","$vR"],
      '_$_glg':["tableRenderingOrder","$HX"],
      '_$_pog':["resizeStripeTemplate","$lZ"],
      '_$_ftg':["selectedStripeTemplate","$obb"],
      '_$_mvg':["dragSourceStripeTemplate","$scb"],
      '_$_nvg':["dropTargetStripeTemplate","$tcb"],
      '_$_wih':["removeUndoSupport","$Dib"],
      '_$_arh':["isSelectedColumn","$Dmb"],
      '_$_frh':["isSelectedRow","$Imb"],
      '_$_yhi':["registerUndoSupport","$hub"],
      '_$_qwi':["setSelectedColumn","$RAb"],
      '_$_vwi':["setSelectedRow","$WAb"],
      '_$_plj':["getUndoSupport","$tIb"],
      '_$_mnj':["createRowDefaults","$nJb"],
      '_$_roj':["createColumnDefaults","$OJb"],
      '_$_epj':["createDefaultRowStyle","$bKb"],
      '_$_ppj':["createDefaultRowInsets","$mKb"],
      '_$_zpj':["createRowLabelDefaults","$vKb"],
      '_$_qqj':["createDefaultColumnStyle","$LKb"],
      '_$_jrj':["createColumnLabelDefaults","$dLb"],
      '_$_mrj':["createDefaultColumnInsets","$gLb"],
      '_$_bsj':["createDefaultRowLabelStyle","$rLb"],
      '_$_btj':["createDefaultColumnLabelStyle","$PLb"],
      '_$_wtj':["createDefaultRowLabelModelParameter","$jMb"],
      '_$_auj':["createDefaultColumnLabelModelParameter","$nMb"],
      '_$_ruj':["copyRow","$DMb"],
      '_$_bwj':["copyColumn","$jNb"],
      '_$_hxj':["copyDefaults","$LNb"],
      '_$_nxj':["onLabelAdded","$RNb"],
      '_$_rzj':["onStripeAdded","$KOb"],
      '_$_bbk':["onItemSelected","$oPb"],
      '_$_dbk':["onLabelChanged","$pPb"],
      '_$_gbk':["onLabelRemoved","$qPb"],
      '_$_rck':["onStripeChanged","$WPb"],
      '_$_cek':["onItemDeselected","$CQb"],
      '_$_yok':["findTemplate","$DVb"],
      '_$_grk':["onStripeRemoved","$HWb"],
      '_$_juk':["createStripeAnimation","$hYb"],
      '_$_owl':["TableAnimation","UZB"],
      '_$_pwl':["DefaultColumnLookup","WZB"],
      '_$_qwl':["DefaultRowLookup","XZB"],
      '_$_rwl':["DefaultStripeLookup","YZB"],
      '_$_swl':["IStripeHitTestHelper","ZZB"],
      '_$_twl':["StripeSubregion","AAC"],
      '_$_uwl':["StripeSubregionDescriptor","BAC"],
      '_$_vwl':["DefaultStripeInputVisualizationHelper","CAC"],
      '_$_wwl':["StripeVisualizationType","DAC"],
      '_$_xwl':["IStripeInputVisualizationHelper","EAC"],
      '_$_ywl':["StripeExtensions","IAC"],
      '_$_zwl':["IStripeSelection","LAC"],
      '_$_axl':["StripeSelection","MAC"],
      '_$_bxl':["CompositeStripeSelection","NAC"],
      '_$_cxl':["Table","OAC"],
      '_$_dxl':["StripeEventArgs","PAC"],
      '_$_exl':["StripeTypes","QAC"],
      '_$_fxl':["TableExtensions","SAC"],
      '_$_gxl':["StripeHitTestEnumerator","UAC"],
      '_$$_ae':["FromPosition","$a"],
      '_$$_be':["FromPositionAndModel","$b"],
      '_$$_ce':["Position","$a"],
      '_$$_aw':["position","$Ce"],
      '_$$_ix':["tag","$Xf"],
      '_$$_qx':["rows","$kg"],
      '_$$_tx':["size","$lg"],
      '_$$_iy':["model","$Bg"],
      '_$$_my':["ratio","$Gg"],
      '_$$_ry':["style","$Ig"],
      '_$$_bz':["insets","$Qg"],
      '_$$_dz':["labels","$Rg"],
      '_$$_lz':["columns","$ah"],
      '_$$_oab':["minimumSize","$ni"],
      '_$$_pab':["rowDefaults","$ri"],
      '_$$_cbb':["columnDefaults","$bj"],
      '_$$_ibb':["relativeLocation","$Dj"],
      '_$$_wgb':["useActualInsets","$BR"],
      '_$$_zpb':["yfiles.canvas","yfiles._R"],
      '_$$_aqb':["ColumnExtension","VZB"],
      '_$$_bqb':["yfiles.markup.common","yfiles._R"],
      '_$$_cqb':["yfiles.graph","yfiles._R"],
      '_$$_dqb':["RowExtension","FAC"],
      '_$$_eqb':["StretchStripeLabelModelParameterExtension","GAC"],
      '_$$_fqb':["yfiles.markup.ui","yfiles._R"],
      '_$$_gqb':["StretchStripeLabelModel","HAC"],
      '_$$_hqb':["yfiles.drawing","yfiles._R"],
      '_$$_iqb':["StripeLabelModelParameterExtension","JAC"],
      '_$$_jqb':["StripeLabelModel","KAC"],
      '_$$_kqb':["TableExtension","RAC"],
      '_$$_lqb':["TableRenderingOrder","TAC"]
    },yfiles.mappings);
  }
  return undefined;
});
