/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_dvb':["NodeInfo","$a"],
      '_$_wsc':["radius","$Wg"],
      '_$_gzc':["minimalLayerDistance","$bk"],
      '_$_wff':["sectorSize","$bJ"],
      '_$_ugf':["circleIndex","$AJ"],
      '_$_fjf':["sectorStart","$EK"],
      '_$_zjf':["centerOffset","$XK"],
      '_$_flf':["layerSpacing","$CL"],
      '_$_gyf':["centerNodesDpKey","$NR"],
      '_$_pzf':["layeringStrategy","$wS"],
      '_$_uzf':["minimalBendAngle","$AS"],
      '_$_mbg':["centerNodesPolicy","$rT"],
      '_$_jfg':["considerNodeLabels","$aV"],
      '_$_jjg':["edgeRoutingStrategy","$NW"],
      '_$_gug':["maximalChildSectorAngle","$Obb"],
      '_$_pxg':["minimalNodeToNodeDistance","$ndb"],
      '_$_xbk':["determineCenter","$HPb"],
      '_$_uqk':["getNodeDiameter","$vWb"],
      '_$_hbn':["CenterNodesPolicy","PGD"],
      '_$_ibn':["LayeringStrategy","QGD"],
      '_$_jbn':["EdgeRoutingStrategy","RGD"],
      '_$_kbn':["RadialLayouter","SGD"],
      '_$$_ktb':["yfiles.radial","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
