/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_pvb':["getBounds","$a"],
      '_$_qvb':["Matrix","$a"],
      '_$_rvb':["RootAlignment","$b"],
      '_$_svb':["translatePoint","$c"],
      '_$_tvb':["WithOrientationAndAspectRatio","$a"],
      '_$_uvb':["WithMatrix","$a"],
      '_$_vvb':["createCompoundComparator","$b"],
      '_$_wvb':["WithDistance","$a"],
      '_$_xvb':["WithAlignmentAndDistance","$b"],
      '_$_yvb':["WithAlignmentStyleAndDistance","$c"],
      '_$_zvb':["WithAlignmentStyleDistanceLengthAndSlope","$d"],
      '_$_awb':["WithMode","$a"],
      '_$_bwb':["WithModeAndRatio","$b"],
      '_$_cwb':["SubtreeShape","$a"],
      '_$_dwb':["WithMatrixAndAlignment","$b"],
      '_$_ewb':["WithMatrixAndId","$a"],
      '_$_fwb':["LeftRightDataProvider","$a"],
      '_$_gwb':["WithMatrix","$b"],
      '_$_hwb':["WithMatrixAndRootAlignment","$b"],
      '_$_ync':["id","$Qf"],
      '_$_dsc':["bounds","$Mg"],
      '_$_zyc':["minimalNodeDistance","$Yj"],
      '_$_fzc':["minimalLayerDistance","$bk"],
      '_$_ncd':["postProcess","$jl"],
      '_$_pdd':["createFromSketchComparator","$Kl"],
      '_$_nxd':["assignPorts","$Tt"],
      '_$_jbe':["determineChildConnectors","$vv"],
      '_$_xce':["preProcess","$bw"],
      '_$_lde':["createProcessor","$nw"],
      '_$_bge':["placeSubtree","$ux"],
      '_$_zre':["maxX","$SC"],
      '_$_cse':["maxY","$TC"],
      '_$_ise':["minX","$WC"],
      '_$_jse':["minY","$XC"],
      '_$_mse':["mode","$YC"],
      '_$_ywe':["originX","$ME"],
      '_$_bxe':["originY","$NE"],
      '_$_kxe':["spacing","$VE"],
      '_$_mze':["minSlope","$VF"],
      '_$_saf':["createBus","$CG"],
      '_$_gbf':["fillStyle","$OG"],
      '_$_ucf':["portStyle","$AH"],
      '_$_rdf':["comparator","$WH"],
      '_$_udf':["connectorX","$XH"],
      '_$_vdf':["connectorY","$YH"],
      '_$_wdf':["coreBounds","$ZH"],
      '_$_gef':["horizontal","$mI"],
      '_$_rgf':["aspectRatio","$wJ"],
      '_$_fif':["layoutStyle","$jK"],
      '_$_wif':["orientation","$xK"],
      '_$_xjf':["bendDistance","$VK"],
      '_$_yjf':["busAlignment","$WK"],
      '_$_elf':["layerSpacing","$CL"],
      '_$_zlf':["routingStyle","$UL"],
      '_$_ppf':["rootAlignment","$MN"],
      '_$_qpf':["rootPlacement","$NN"],
      '_$_tpf':["routingPolicy","$QN"],
      '_$_bqf':["verticalSpace","$YN"],
      '_$_qqf':["childPlacement","$nO"],
      '_$_ctf':["minSlopeHeight","$sP"],
      '_$_suf':["childNodePlacer","$iQ"],
      '_$_bvf':["dendrogramStyle","$rQ"],
      '_$_nvf':["horizontalSpace","$DQ"],
      '_$_swf':["placerUpperLeft","$eR"],
      '_$_kag':["placerLowerRight","$PS"],
      '_$_abg':["verticalDistance","$gT"],
      '_$_ccg':["defaultLeafPlacer","$GT"],
      '_$_dcg':["defaultNodePlacer","$HT"],
      '_$_ncg':["groupingSupported","$QT"],
      '_$_ldg':["nonTreeEdgeRouter","$jU"],
      '_$_sdg':["placeLastOnBottom","$qU"],
      '_$_beg':["reversedPortOrder","$xU"],
      '_$_seg':["verticalAlignment","$NU"],
      '_$_dfg':["connectorDirection","$YU"],
      '_$_fgg':["horizontalDistance","$rV"],
      '_$_qgg':["modificationMatrix","$CV"],
      '_$_akg':["minimumRootDistance","$bX"],
      '_$_dmg':["childPlacementPolicy","$dY"],
      '_$_ung':["minLastSegmentLength","$QY"],
      '_$_opg':["defaultPortAssignment","$JZ"],
      '_$_qpg':["enforceGlobalLayering","$LZ"],
      '_$_iqg':["minFirstSegmentLength","$cab"],
      '_$_rrg':["defaultChildComparator","$Kab"],
      '_$_fsg':["integratedEdgeLabeling","$Wab"],
      '_$_jsg':["integratedNodeLabeling","$Xab"],
      '_$_psg':["minimumSubtreeDistance","$bbb"],
      '_$_qtg':["borderGapToPortGapRatio","$zbb"],
      '_$_iug':["nonTreeEdgeSelectionKey","$Qbb"],
      '_$_kug':["polylineLabelingEnabled","$Sbb"],
      '_$_dyg':["treeComponentCoreLayouter","$Adb"],
      '_$_rah':["orientationOptimizationActive","$Leb"],
      '_$_jfh':["createCopy","$Pgb"],
      '_$_jih':["createComparator","$pib"],
      '_$_qjh':["updateConnectorShape","$bjb"],
      '_$_zjh':["createStraightlineRouter","$mjb"],
      '_$_wnh':["multiply","$glb"],
      '_$_dph':["mergeWith","$Nlb"],
      '_$_qsh':["equalValues","$mnb"],
      '_$_wvh':["reverseEdges","$Lob"],
      '_$_xwh':["getBorderLine","$lpb"],
      '_$_uei':["getSourcePointAbs","$Hsb"],
      '_$_yfi':["appendTargetPoints","$ltb"],
      '_$_ati':["move","$dzb"],
      '_$_kyi':["addTargetPoint","$LBb"],
      '_$_myi':["assignValuesTo","$NBb"],
      '_$_czi':["addEdgeSegments","$dCb"],
      '_$_rfj':["addLineSegment","$xFb"],
      '_$_yfj':["addBoundsToShape","$EFb"],
      '_$_ajj':["sourcePortConstraintDataAcceptor","$fHb"],
      '_$_bjj':["targetPortConstraintDataAcceptor","$gHb"],
      '_$_bkj':["directTree","$DHb"],
      '_$_ewj':["layoutRoot","$mNb"],
      '_$_lxj':["getNodeShape","$PNb"],
      '_$_hyj':["getNodePlacer","$iOb"],
      '_$_iyj':["getRootsArray","$jOb"],
      '_$_jyj':["getSuccessors","$kOb"],
      '_$_bak':["getAspectRatio","$UOb"],
      '_$_fak':["isVerticalRoot","$YOb"],
      '_$_cck':["getSubtreeShape","$LPb"],
      '_$_rdk':["getRootPlacement","$sQb"],
      '_$_sdk':["getRoutingPolicy","$tQb"],
      '_$_udk':["isHorizontalRoot","$vQb"],
      '_$_afk':["getPortAssignment","$aRb"],
      '_$_dfk':["getPortConstraint","$cRb"],
      '_$_kgk':["createSubtreeShape","$GRb"],
      '_$_yhk':["createRootNodeShape","$pSb"],
      '_$_ilk':["determineChildConnector","$TTb"],
      '_$_jmk':["translateDirectionToReal","$qUb"],
      '_$_xmk':["translateDirectionToModel","$CUb"],
      '_$_hnk':["getChildNodeInEdgeComparator","$MUb"],
      '_$_ipk':["placeSubtreeImpl","$MVb"],
      '_$_jpk':["placeSubtreeWithDirection","$NVb"],
      '_$_ork':["getPortBorderGap","$PWb"],
      '_$_tsk':["routeNonTreeEdges","$sXb"],
      '_$_utk':["doLayoutUsingDummies","$SXb"],
      '_$_buk':["getUpperLeftChildren","$ZXb"],
      '_$_luk':["getLowerRightChildren","$jYb"],
      '_$_ivk':["getTargetPortConstraint","$EYb"],
      '_$_jcl':["calcSourceEdgeLayout","$Rbc"],
      '_$_kcl':["calcTargetEdgeLayout","$Sbc"],
      '_$_mcl':["getPortDistanceDelta","$Ubc"],
      '_$_adl':["getSourcePortConstraint","$fcc"],
      '_$_cdl':["assignParentEdgeTargetPort","$hcc"],
      '_$_tel':["placeParentHorizontal","$Xcc"],
      '_$_dfl':["assignChildEdgeSourcePort","$hdc"],
      '_$_pfl':["createBends","$tdc"],
      '_$_bgl':["calcSlopedSourceEdgeLayout","$Fdc"],
      '_$_jgl':["calcParentConnector","$Ndc"],
      '_$_bcn':["AbstractNodePlacer","JHD"],
      '_$_ccn':["AbstractRotatableNodePlacer","KHD"],
      '_$_dcn':["ARNodePlacer","LHD"],
      '_$_ecn':["ARTreeLayouter","MHD"],
      '_$_fcn':["AssistantPlacer","NHD"],
      '_$_gcn':["BusPlacer","OHD"],
      '_$_hcn':["DefaultNodePlacer","PHD"],
      '_$_icn':["DefaultPortAssignment","QHD"],
      '_$_jcn':["DelegatingNodePlacer","RHD"],
      '_$_kcn':["DendrogramPlacer","SHD"],
      '_$_lcn':["DoubleLinePlacer","THD"],
      '_$_mcn':["FreePlacer","UHD"],
      '_$_ncn':["GenericTreeLayouter","VHD"],
      '_$_ocn':["GridNodePlacer","WHD"],
      '_$_pcn':["HierarchicTreePlacer","XHD"],
      '_$_qcn':["HVTreeLayouter","YHD"],
      '_$_rcn':["IFromSketchNodePlacer","ZHD"],
      '_$_scn':["INodePlacer","AID"],
      '_$_tcn':["IPortAssignment","BID"],
      '_$_ucn':["IProcessor","CID"],
      '_$_vcn':["LayeredNodePlacer","DID"],
      '_$_wcn':["LeafPlacer","EID"],
      '_$_xcn':["LeftRightPlacer","FID"],
      '_$_ycn':["NodeOrderComparator","GID"],
      '_$_zcn':["SimpleNodePlacer","HID"],
      '_$_adn':["SubtreeShapeRotated","IID"],
      '_$_bdn':["TreeComponentLayouter","JID"],
      '_$_cdn':["TreeLayouter","KID"],
      '_$_ddn':["TreeReductionStage","LID"],
      '_$_edn':["XCoordComparator","MID"],
      '_$$_mtb':["yfiles.tree","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
