/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_iwb':["createHashMap","$a"],
      '_$_jwb':["createHashSet","$b"],
      '_$_kwb':["createTreeSet","$c"],
      '_$_lwb':["createArrayList","$d"],
      '_$_mwb':["createHashSetFromCollection","$e"],
      '_$_nwb':["createTreeSetFromCollection","$f"],
      '_$_owb':["createArrayListFromCollection","$g"],
      '_$_pwb':["FromValues","$a"],
      '_$_qwb':["Double","$a"],
      '_$_rwb':["distanceBetween","$b"],
      '_$_swb':["distanceSqBetween","$c"],
      '_$_twb':["FromRectangle","$a"],
      '_$_uwb':["FromWidthAndHeight","$b"],
      '_$_vwb':["FromValues","$c"],
      '_$_wwb':["union","$b"],
      '_$_xwb':["intersect","$c"],
      '_$_ywb':["createTreeMap","$b"],
      '_$_zwb':["createHashMapFromMap","$c"],
      '_$_axb':["createTreeMapFromMap","$d"],
      '_$_bxb':["createTreeMapWithComparator","$e"],
      '_$_cxb':["WithSeed","$a"],
      '_$_wdc':["key","$Oc"],
      '_$_dec':["count","$Rc"],
      '_$_gec':["value","$Sc"],
      '_$_mec':["values","$Tc"],
      '_$_yec':["isFixedSize","$Zc"],
      '_$_efc':["clear","$bd"],
      '_$_bgc':["add","$jd"],
      '_$_kgc':["remove","$md"],
      '_$_tgc':["indexOf","$pd"],
      '_$_ygc':["containsValue","$rd"],
      '_$_zgc':["contains","$sd"],
      '_$_ihc':["get","$ud"],
      '_$_mhc':["containsKey","$wd"],
      '_$_kic':["set","$Kd"],
      '_$_pic':["put","$Md"],
      '_$_yjc':["next","$pe"],
      '_$_ckc':["seed","$qe"],
      '_$_qlc':["toArray","$af"],
      '_$_vlc':["nextDouble","$cf"],
      '_$_xlc':["nextBoolean","$df"],
      '_$_mmc':["nextInt","$qf"],
      '_$_umc':["nextBytes","$vf"],
      '_$_wmc':["removeAll","$wf"],
      '_$_cnc':["setValue","$Ff"],
      '_$_knc':["nextIntInRange","$Lf"],
      '_$_nnc':["x","$Of"],
      '_$_tnc':["y","$Pf"],
      '_$_npc':["size","$lg"],
      '_$_eqc':["empty","$tg"],
      '_$_wrc':["width","$Lg"],
      '_$_esc':["bounds","$Mg"],
      '_$_msc':["height","$Pg"],
      '_$_gtc':["hasNext","$dh"],
      '_$_ttc':["location","$rh"],
      '_$_ztc':["previous","$sh"],
      '_$_lvc':["hasPrevious","$ki"],
      '_$_had':["keySet","$Ak"],
      '_$_yad':["entrySet","$Kk"],
      '_$_zad':["iterator","$Lk"],
      '_$_cbd':["nextIndex","$Nk"],
      '_$_ocd':["listIterator","$kl"],
      '_$_rcd':["previousIndex","$ol"],
      '_$_sdd':["addObject","$Nl"],
      '_$_tdd':["getAtListIndex","$Ol"],
      '_$_wdd':["addAll","$Rl"],
      '_$_fed':["putAll","$Yl"],
      '_$_ged':["removeAtIndex","$Zl"],
      '_$_efd':["toGivenArray","$um"],
      '_$_sgd':["retainAll","$Ym"],
      '_$_ugd':["setBounds","$Zm"],
      '_$_mhd':["containsAll","$on"],
      '_$_yhd':["lastIndexOf","$wn"],
      '_$_rid':["listIteratorFrom","$Mn"],
      '_$_utd':["addAt","$Ds"],
      '_$_xtd':["setAtListIndex","$Fs"],
      '_$_jud':["addAllAt","$Ms"],
      '_$_jvd':["subList","$ft"],
      '_$_eyd':["setLocation","$du"],
      '_$_fhe':["toRectD","$Wx"],
      '_$_ihe':["toRectDFromRectangle2D","$Xx"],
      '_$_qhe':["toPointD","$dy"],
      '_$_yhe':["toInsetsD","$jy"],
      '_$_uje':["addRectangle","$dz"],
      '_$_lke':["containsPoint","$tz"],
      '_$_yre':["maxX","$SC"],
      '_$_bse':["maxY","$TC"],
      '_$_gse':["minX","$WC"],
      '_$_lse':["minY","$XC"],
      '_$_qse':["rect","$aD"],
      '_$_cte':["frame","$iD"],
      '_$_nve':["centerX","$hE"],
      '_$_ove':["centerY","$iE"],
      '_$_aye':["bounds2D","$mF"],
      '_$_hye':["distance","$sF"],
      '_$_oeh':["nextLong","$zgb"],
      '_$_xeh':["nextFloat","$Hgb"],
      '_$_qgh':["nextGaussian","$zhb"],
      '_$_klh':["union","$Yjb"],
      '_$_hnh':["containsRectangle2D","$Tkb"],
      '_$_jnh':["containsRectangle","$Ukb"],
      '_$_lph':["translate","$Tlb"],
      '_$_bqh':["distanceSq","$hmb"],
      '_$_rqh':["intersects","$wmb"],
      '_$_uqh':["intersectsRectangle","$xmb"],
      '_$_osh':["createUnion","$knb"],
      '_$_fvh':["intersection","$wob"],
      '_$_dgi':["createIntersection","$qtb"],
      '_$_psi':["addIntCoordinates","$Syb"],
      '_$_qsi':["addCoordinates","$Tyb"],
      '_$_ysi':["grow","$czb"],
      '_$_lui':["containsIntCoordinates","$Lzb"],
      '_$_mui':["distanceToCoordinates","$Nzb"],
      '_$_qvi':["distanceSqToCoordinates","$rAb"],
      '_$_vyi':["intersectsLine","$WBb"],
      '_$_xaj':["setFrameFromCenter","$ZCb"],
      '_$_gbj':["setFrameFromDiagonal","$jDb"],
      '_$_bfj':["setRect","$hFb"],
      '_$_dfj':["containsIntRectangle","$jFb"],
      '_$_ffj':["setFrame","$lFb"],
      '_$_ifj':["setBoundsCoordinates","$oFb"],
      '_$_mfj':["intersectsRectangleCoordinates","$sFb"],
      '_$_egj':["setFrameFromCenterCoordinates","$KFb"],
      '_$_fgj':["setFrameFromDiagonalCoordinates","$LFb"],
      '_$_nkj':["nextIntImpl","$QHb"],
      '_$_swj':["nextIntInRangeImpl","$yNb"],
      '_$_fdn':["CollectionFactory","NID"],
      '_$_gdn':["Insets","OID"],
      '_$_hdn':["Point2D","PID"],
      '_$_idn':["Rectangle","QID"],
      '_$_jdn':["Rectangle2D","RID"],
      '_$_kdn':["ICloneable","SID"],
      '_$_ldn':["ICollection","TID"],
      '_$_mdn':["IIterator","UID"],
      '_$_ndn':["IList","VID"],
      '_$_odn':["IListIterator","WID"],
      '_$_pdn':["IMap","XID"],
      '_$_qdn':["IMapEntry","YID"],
      '_$_rdn':["ISet","ZID"],
      '_$_sdn':["MapFactory","AJD"],
      '_$_tdn':["Random","BJD"],
      '_$$_ntb':["yfiles.algorithms","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
