/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_kj':["ForGraph","$a"],
      '_$_lj':["ForLabelOwner","$a"],
      '_$_mj':["ForGraphAndSelection","$a"],
      '_$_nj':["WithType","$a"],
      '_$_oj':["FromLabel","$a"],
      '_$_ydc':["key","$Oc"],
      '_$_kkc':["cancel","$se"],
      '_$_foc':["pen","$Uf"],
      '_$_toc':["edge","$cg"],
      '_$_ppc':["size","$lg"],
      '_$_mqc':["graph","$vg"],
      '_$_hrc':["owner","$Dg"],
      '_$_vtc':["location","$rh"],
      '_$_tuc':["dropTarget","$Rh"],
      '_$_xvc':["sourcePoint","$vi"],
      '_$_bwc':["targetPoint","$zi"],
      '_$_xzc':["redo","$vk"],
      '_$_dad':["undo","$xk"],
      '_$_mbd':["createEdge","$Tk"],
      '_$_sbd':["createNode","$Uk"],
      '_$_ygd':["createBend","$cn"],
      '_$_cid':["setPosition","$zn"],
      '_$_cjd':["addPortAddedListener","$Vn"],
      '_$_jjd':["getNodeLayout","$Zn"],
      '_$_sjd':["addLabelAddedListener","$go"],
      '_$_ikd':["initializeDrag","$to"],
      '_$_skd':["addEdgeCreatedListener","$Co"],
      '_$_eld':["addNodeCreatedListener","$Lo"],
      '_$_pmd':["removePortAddedListener","$qp"],
      '_$_ond':["removeLabelAddedListener","$Kp"],
      '_$_qod':["removeEdgeCreatedListener","$iq"],
      '_$_cpd':["removeNodeCreatedListener","$rq"],
      '_$_yrd':["getTargetPortCandidates","$Hr"],
      '_$_wtd':["cut","$Es"],
      '_$_ztd':["copy","$Gs"],
      '_$_vud':["getPort","$Ws"],
      '_$_nvd':["addLabel","$ht"],
      '_$_nwd':["editLabel","$At"],
      '_$_swd':["getHandle","$Ct"],
      '_$_jxd':["cancelDrag","$Pt"],
      '_$_txd':["createLabel","$Wt"],
      '_$_gyd':["setBendLocation","$eu"],
      '_$_qyd':["setLabelText","$mu"],
      '_$_vzd':["getPreferredSize","$Hu"],
      '_$_dbe':["setLabelModelParameter","$pv"],
      '_$_ybe':["paste","$Gv"],
      '_$_jce':["setPorts","$Qv"],
      '_$_rce':["canBeMoved","$Xv"],
      '_$_fde':["dragFinished","$iw"],
      '_$_fee':["getSegmentOrientation","$Ew"],
      '_$_ife':["collectSnapResults","$ex"],
      '_$_age':["snapToGrid","$tx"],
      '_$_ege':["createDummyEdge","$wx"],
      '_$_nhe':["getGraph","$ay"],
      '_$_lie':["getSourceNode","$zy"],
      '_$_nie':["getTargetNode","$Ay"],
      '_$_pse':["port","$ZC"],
      '_$_ete':["label","$kD"],
      '_$_uwe':["newText","$IE"],
      '_$_qxe':["visuals","$cF"],
      '_$_xaf':["dragPoint","$HG"],
      '_$_yaf':["dummyEdge","$IG"],
      '_$_cbf':["edgeStyle","$LG"],
      '_$_dcf':["movePorts","$lH"],
      '_$_fdf':["sourceEnd","$IH"],
      '_$_jdf':["useFinder","$NH"],
      '_$_fff':["movedLabel","$KI"],
      '_$_mff':["pasteDelta","$RI"],
      '_$_bgf':["startPoint","$fJ"],
      '_$_pgf':["armedCursor","$vJ"],
      '_$_hhf':["doubleClick","$MJ"],
      '_$_zhf':["itemCreator","$cK"],
      '_$_uif':["nodeCreator","$vK"],
      '_$_gjf':["showPreview","$FK"],
      '_$_ijf':["snapContext","$GK"],
      '_$_wkf':["graphControl","$tL"],
      '_$_qlf':["movableItems","$NL"],
      '_$_rlf':["nodeComparer","$OL"],
      '_$_vlf':["pasteAllowed","$SL"],
      '_$_gmf':["snapDistance","$cM"],
      '_$_omf':["toolTipItems","$lM"],
      '_$_fof':["isInitialized","$eN"],
      '_$_wpf':["showDummyEdge","$TN"],
      '_$_sqf':["clickableItems","$oO"],
      '_$_hrf':["deletableItems","$BO"],
      '_$_qrf':["endHitTestable","$KO"],
      '_$_vrf':["focusableItems","$OO"],
      '_$_bsf':["graphSelection","$TO"],
      '_$_qsf':["isInitializing","$gP"],
      '_$_euf':["validEndCursor","$TP"],
      '_$_iuf':["addExistingPort","$YP"],
      '_$_zwf':["selectableItems","$jR"],
      '_$_cxf':["showHandleItems","$mR"],
      '_$_dxf':["showNodePreview","$nR"],
      '_$_fxf':["snappingEnabled","$pR"],
      '_$_txf':["validBendCursor","$CR"],
      '_$_byf':["beginHitTestable","$KR"],
      '_$_cyf':["cancelRecognizer","$LR"],
      '_$_pyf':["contextMenuItems","$WR"],
      '_$_yyf':["edgesHitTestable","$eS"],
      '_$_bzf':["finishRecognizer","$hS"],
      '_$_lzf':["inputModeContext","$rS"],
      '_$_bag':["nodesHitTestable","$HS"],
      '_$_zag':["validBeginCursor","$fT"],
      '_$_hbg':["availableCommands","$nT"],
      '_$_lbg':["candidateTemplate","$qT"],
      '_$_qbg':["clickHitTestOrder","$vT"],
      '_$_gcg':["draggedRecognizer","$JT"],
      '_$_pcg':["highlightTemplate","$RT"],
      '_$_qcg':["hitTestEnumerator","$ST"],
      '_$_jdg':["nodeDropInputMode","$hU"],
      '_$_tdg':["portOwnerComparer","$rU"],
      '_$_vdg':["prepareRecognizer","$tU"],
      '_$_xdg':["pressedRecognizer","$uU"],
      '_$_ofg':["contentRectMargins","$bV"],
      '_$_igg':["labelAddingAllowed","$wV"],
      '_$_lgg':["labelEditableItems","$xV"],
      '_$_rgg':["moveLabelInputMode","$DV"],
      '_$_khg':["releasedRecognizer","$TV"],
      '_$_qhg':["reparentRecognizer","$YV"],
      '_$_shg':["returnExistingBend","$aW"],
      '_$_big':["showPortCandidates","$gW"],
      '_$_qig':["bendCreationAllowed","$vW"],
      '_$_rig':["candidateDescriptor","$wW"],
      '_$_tig':["canvasGroupProvider","$xW"],
      '_$_zig':["createBendInputMode","$CW"],
      '_$_ajg':["createEdgeInputMode","$DW"],
      '_$_gjg':["edgeCreationAllowed","$KW"],
      '_$_ojg':["highlightDropTarget","$RW"],
      '_$_sjg':["labelEditingAllowed","$VW"],
      '_$_vjg':["maximumSnapDistance","$XW"],
      '_$_ekg':["navigationInputMode","$eX"],
      '_$_gkg':["nodeCreationAllowed","$fX"],
      '_$_wkg':["reparentNodeHandler","$wX"],
      '_$_dlg':["sourcePortCandidate","$DX"],
      '_$_hlg':["targetPortCandidate","$IX"],
      '_$_ilg':["textEditorInputMode","$JX"],
      '_$_bmg':["cancelEditImplicitly","$bY"],
      '_$_hmg':["clickSelectableItems","$gY"],
      '_$_pmg':["createBendRecognizer","$nY"],
      '_$_ymg':["forceSnapToCandidate","$yY"],
      '_$_eng':["inputModeCanvasGroup","$EY"],
      '_$_gng':["isCreationInProgress","$FY"],
      '_$_hng':["isGroupNodePredicate","$GY"],
      '_$_wng':["movedRecognizerTouch","$SY"],
      '_$_xng':["nodeBasedEdgeCreator","$TY"],
      '_$_yng':["nodeBorderWidthRatio","$UY"],
      '_$_fog':["portBasedEdgeCreator","$bZ"],
      '_$_kog':["removeBendRecognizer","$gZ"],
      '_$_nog':["reparentNodesAllowed","$jZ"],
      '_$_wog':["snappedMousePosition","$sZ"],
      '_$_zog':["validBendHitTestable","$vZ"],
      '_$_hpg':["autoRemoveEmptyLabels","$DZ"],
      '_$_jpg':["cancelRecognizerTouch","$EZ"],
      '_$_lpg':["clearSelectionAllowed","$GZ"],
      '_$_tpg':["finishRecognizerTouch","$OZ"],
      '_$_aqg':["groupSelectionAllowed","$TZ"],
      '_$_oqg':["orthogonalEdgeEditing","$hab"],
      '_$_wqg':["resolvePortCandidates","$pab"],
      '_$_arg':["snapToTargetCandidate","$tab"],
      '_$_crg':["undoOperationsAllowed","$vab"],
      '_$_org':["createBendModePriority","$Hab"],
      '_$_prg':["createEdgeModePriority","$Iab"],
      '_$_xrg':["draggedRecognizerTouch","$Oab"],
      '_$_nsg':["marqueeSelectableItems","$abb"],
      '_$_tsg':["navigationModePriority","$ebb"],
      '_$_xsg':["orthogonalEdgeCreation","$hbb"],
      '_$_ysg':["orthogonalSnapDistance","$ibb"],
      '_$_atg':["prepareRecognizerTouch","$kbb"],
      '_$_ktg':["splitOrthogonalSegment","$tbb"],
      '_$_otg':["adjustContentRectPolicy","$xbb"],
      '_$_ptg':["autoSelectSelfloopBends","$ybb"],
      '_$_utg':["connectToCandidatesOnly","$Dbb"],
      '_$_pug':["releasedRecognizerTouch","$Vbb"],
      '_$_uug':["selfloopCreationAllowed","$acb"],
      '_$_cvg':["ungroupSelectionAllowed","$icb"],
      '_$_rvg':["enableSnappingRecognizer","$xcb"],
      '_$_dwg':["movedOrDraggedRecognizer","$Gcb"],
      '_$_gwg':["multiSelectionRecognizer","$Icb"],
      '_$_uwg':["createBendRecognizerTouch","$Vcb"],
      '_$_wwg':["detailSelectionRecognizer","$Xcb"],
      '_$_xwg':["disableSnappingRecognizer","$Ycb"],
      '_$_txg':["nodeDropInputModePriority","$qdb"],
      '_$_yxg':["removeBendRecognizerTouch","$vdb"],
      '_$_gyg':["useCurrentItemForCommands","$Ddb"],
      '_$_jyg':["adjustGroupNodeSizeAllowed","$Fdb"],
      '_$_lyg':["clipboardOperationsAllowed","$Hdb"],
      '_$_myg':["closestCandidateDescriptor","$Idb"],
      '_$_zyg':["snapToTargetCandidateOwner","$Vdb"],
      '_$_azg':["unselectedEdgesHitTestable","$Wdb"],
      '_$_bzg':["unselectedNodesHitTestable","$Xdb"],
      '_$_szg':["resolveSourcePortCandidates","$oeb"],
      '_$_tzg':["resolveTargetPortCandidates","$peb"],
      '_$_wzg':["textEditorInputModePriority","$seb"],
      '_$_aah':["edgeToEdgeConnectionsAllowed","$veb"],
      '_$_hah':["orthogonalEdgeEditingContext","$Beb"],
      '_$_iah':["preferredMinimalEdgeDistance","$Ceb"],
      '_$_lah':["useLabelModelParameterFinder","$Feb"],
      '_$_mah':["cyclicPortDependenciesAllowed","$Geb"],
      '_$_pah':["enforceBendCreationRecognizer","$Jeb"],
      '_$_nbh':["showHitPortOwnerCandidatesOnly","$hfb"],
      '_$_obh':["useHitNodeTargetCandidatesOnly","$ifb"],
      '_$_hch':["splitOrthogonalSegmentRecognizer","$Bfb"],
      '_$_jch':["portCandidateResolutionRecognizer","$Dfb"],
      '_$_och':["toggleSegmentOrientationRecognizer","$Ifb"],
      '_$_aeh':["cleanUp","$mgb"],
      '_$_dfh':["selectAll","$Lgb"],
      '_$_thh':["groupSelection","$Zhb"],
      '_$_zhh':["deleteSelection","$fib"],
      '_$_bih':["dragInitialized","$hib"],
      '_$_nih':["ungroupSelection","$vib"],
      '_$_qih':["adjustContentRect","$xib"],
      '_$_hjh':["adjustGroupNodeSizes","$Rib"],
      '_$_vlh':["lineTo","$lkb"],
      '_$_tmh':["getEdge","$Fkb"],
      '_$_knh':["dragBend","$Wkb"],
      '_$_tnh':["getNodes","$dlb"],
      '_$_hoh':["addMovedListener","$rlb"],
      '_$_oph':["addMovingListener","$Wlb"],
      '_$_urh':["addDraggedListener","$Vmb"],
      '_$_xth':["addDraggingListener","$Snb"],
      '_$_juh':["addMovedPort","$cob"],
      '_$_rvh':["removeMovedListener","$Iob"],
      '_$_bwh':["addCleanedUpListener","$Pob"],
      '_$_sxh':["removeMovingListener","$Epb"],
      '_$_zyh':["removeDraggedListener","$mqb"],
      '_$_fzh':["setCurrentItem","$rqb"],
      '_$_gzh':["addBendCreatedListener","$sqb"],
      '_$_izh':["addDeletedItemListener","$tqb"],
      '_$_pzh':["addInitializedListener","$yqb"],
      '_$_qzh':["addItemClickedListener","$zqb"],
      '_$_szh':["addItemCreatedListener","$Aqb"],
      '_$_aai':["addMovedEdgeEnd","$Iqb"],
      '_$_hbi':["removeDraggingListener","$hrb"],
      '_$_ubi':["addDragCanceledListener","$srb"],
      '_$_eci':["addInitializingListener","$zrb"],
      '_$_tci':["closeLabelEditor","$Orb"],
      '_$_zci':["disarmValidBegin","$Urb"],
      '_$_hdi':["getMovementInfos","$asb"],
      '_$_ldi':["lockPortMovement","$esb"],
      '_$_ndi':["removeCleanedUpListener","$gsb"],
      '_$_xdi':["addCanvasClickedListener","$psb"],
      '_$_lfi':["addGestureStartedListener","$Ysb"],
      '_$_sfi':["addNodeReparentedListener","$ftb"],
      '_$_mgi':["removeBendCreatedListener","$Atb"],
      '_$_ngi':["removeDeletedItemListener","$Btb"],
      '_$_vgi':["removeInitializedListener","$Gtb"],
      '_$_wgi':["removeItemClickedListener","$Htb"],
      '_$_ygi':["removeItemCreatedListener","$Itb"],
      '_$_jhi':["addGestureCanceledListener","$Ttb"],
      '_$_khi':["addGestureFinishedListener","$Utb"],
      '_$_lhi':["addGestureStartingListener","$Vtb"],
      '_$_nhi':["addItemLeftClickedListener","$Xtb"],
      '_$_whi':["doStartEdgeCreation","$fub"],
      '_$_bii':["removeDragCanceledListener","$jub"],
      '_$_mii':["removeInitializingListener","$qub"],
      '_$_zii':["addDeletedSelectionListener","$Cub"],
      '_$_aji':["addGestureCancelingListener","$Dub"],
      '_$_bji':["addGestureFinishingListener","$Eub"],
      '_$_eji':["addItemRightClickedListener","$Gub"],
      '_$_fji':["addLabelTextChangedListener","$Hub"],
      '_$_iji':["addQueryItemToolTipListener","$Iub"],
      '_$_xji':["removeCanvasClickedListener","$Xub"],
      '_$_mki':["addDeletingSelectionListener","$ivb"],
      '_$_oki':["addItemDoubleClickedListener","$kvb"],
      '_$_uki':["addValidateLabelTextListener","$pvb"],
      '_$_eli':["removeGestureStartedListener","$zvb"],
      '_$_lli':["removeNodeReparentedListener","$Gvb"],
      '_$_cmi':["addExplicitlyMovedBend","$Xvb"],
      '_$_dmi':["addImplicitlyMovedBend","$Yvb"],
      '_$_rmi':["removeGestureCanceledListener","$mwb"],
      '_$_smi':["removeGestureFinishedListener","$nwb"],
      '_$_tmi':["removeGestureStartingListener","$owb"],
      '_$_wmi':["removeItemLeftClickedListener","$qwb"],
      '_$_dni':["addEdgeCreationStartedListener","$xwb"],
      '_$_kni':["addTransformedPortOwner","$Ewb"],
      '_$_lni':["adjustToSizeConstraints","$Fwb"],
      '_$_rni':["removeDeletedSelectionListener","$Kwb"],
      '_$_sni':["removeGestureCancelingListener","$Lwb"],
      '_$_tni':["removeGestureFinishingListener","$Mwb"],
      '_$_wni':["removeItemRightClickedListener","$Owb"],
      '_$_xni':["removeLabelTextChangedListener","$Pwb"],
      '_$_aoi':["removeQueryItemToolTipListener","$Qwb"],
      '_$_joi':["removeDeletingSelectionListener","$Zwb"],
      '_$_moi':["removeItemDoubleClickedListener","$bxb"],
      '_$_soi':["removeValidateLabelTextListener","$gxb"],
      '_$_api':["addItemLeftDoubleClickedListener","$mxb"],
      '_$_vpi':["addItemRightDoubleClickedListener","$Fxb"],
      '_$_cqi':["removeEdgeCreationStartedListener","$Lxb"],
      '_$_gqi':["selectNodeAndSelfloopBends","$Pxb"],
      '_$_iqi':["addPopulateItemContextMenuListener","$Rxb"],
      '_$_eri':["removeItemLeftDoubleClickedListener","$myb"],
      '_$_mri':["removeItemRightDoubleClickedListener","$syb"],
      '_$_wri':["removePopulateItemContextMenuListener","$zyb"],
      '_$_oui':["findItem","$Pzb"],
      '_$_qxi':["updateValues","$sBb"],
      '_$_hyi':["setNodeBounds","$IBb"],
      '_$_xbj':["isOrthogonallyEditedEdge","$DDb"],
      '_$_cdj':["findItemFiltered","$iEb"],
      '_$_edj':["findItems","$kEb"],
      '_$_tej':["createImplicitlyMovedBendInfo","$ZEb"],
      '_$_efj':["findItemFilteredWithContext","$kFb"],
      '_$_hfj':["findItemsWithContext","$nFb"],
      '_$_ahj':["lineFrom","$gGb"],
      '_$_bhj':["addedBends","$hGb"],
      '_$_dhj':["innerLine1To","$jGb"],
      '_$_ehj':["innerLine2To","$kGb"],
      '_$_fhj':["outerLine1To","$lGb"],
      '_$_ghj':["outerLine2To","$mGb"],
      '_$_hhj':["sourceLineTo","$nGb"],
      '_$_ihj':["targetLineTo","$oGb"],
      '_$_lhj':["innerLine1From","$rGb"],
      '_$_mhj':["innerLine2From","$sGb"],
      '_$_nhj':["outerLine1From","$tGb"],
      '_$_ohj':["outerLine2From","$uGb"],
      '_$_qhj':["sourceLineFrom","$wGb"],
      '_$_rhj':["targetLineFrom","$xGb"],
      '_$_vhj':["highlightedNode","$BGb"],
      '_$_whj':["lockedPortEdges","$CGb"],
      '_$_xhj':["distanceIndicatorTo","$DGb"],
      '_$_bij':["distanceIndicator1To","$HGb"],
      '_$_cij':["distanceIndicator2To","$IGb"],
      '_$_eij':["distanceIndicatorFrom","$KGb"],
      '_$_fij':["transformedPortOwners","$LGb"],
      '_$_gij':["distanceIndicator1From","$MGb"],
      '_$_hij':["distanceIndicator2From","$NGb"],
      '_$_nij':["currentInputModeContext","$TGb"],
      '_$_rij':["graphInputModeController","$WGb"],
      '_$_ejj':["getPen","$iHb"],
      '_$_fkj':["onAddLabel","$IHb"],
      '_$_pkj':["onEditLabel","$SHb"],
      '_$_zkj':["createVisuals","$cIb"],
      '_$_dlj':["getPortOwners","$gIb"],
      '_$_hlj':["cleanupPreview","$lIb"],
      '_$_llj':["getDraggedNode","$pIb"],
      '_$_wlj':["removeLastBend","$AIb"],
      '_$_zlj':["createDragPoint","$DIb"],
      '_$_fmj':["getPreviewGraph","$JIb"],
      '_$_nmj':["startCreateEdge","$RIb"],
      '_$_xmj':["createStartPoint","$YIb"],
      '_$_inj':["cleanupDropTarget","$jJb"],
      '_$_qnj':["cleanupSnapContext","$rJb"],
      '_$_znj':["determineEdgeStyle","$zJb"],
      '_$_doj':["clearDummyEdgeBends","$DJb"],
      '_$_fpj':["createDummyTargetNode","$cKb"],
      '_$_rpj':["createEdgesHitTestable","$oKb"],
      '_$_upj':["createInputModeContext","$qKb"],
      '_$_vpj':["createLabelHitTestable","$rKb"],
      '_$_ypj':["createNodesHitTestable","$uKb"],
      '_$_bqj':["isBendCreationEnforced","$xKb"],
      '_$_kqj':["createNodeDropInputMode","$FKb"],
      '_$_yqj':["createItemHoverInputMode","$SKb"],
      '_$_zqj':["createMoveLabelInputMode","$TKb"],
      '_$_grj':["getChildInputModeContext","$aLb"],
      '_$_krj':["createCreateBendInputMode","$eLb"],
      '_$_lrj':["createCreateEdgeInputMode","$fLb"],
      '_$_srj':["createNavigationInputMode","$lLb"],
      '_$_urj':["createReparentNodeHandler","$mLb"],
      '_$_yrj':["createTextEditorInputMode","$pLb"],
      '_$_etj':["createPortCandidateDescriptor","$SLb"],
      '_$_qtj':["createUnselectedEdgesHitTestable","$dMb"],
      '_$_rtj':["createUnselectedNodesHitTestable","$eMb"],
      '_$_stj':["isPortCandidateResolutionEnabled","$fMb"],
      '_$_ttj':["createEdgeCreationInputModeContext","$gMb"],
      '_$_huj':["cancelWithTransition","$uMb"],
      '_$_uuj':["getNode","$GMb"],
      '_$_yuj':["onMoved","$KMb"],
      '_$_evj':["onMoving","$NMb"],
      '_$_ivj':["setGraphCore","$RMb"],
      '_$_svj':["onDragged","$aNb"],
      '_$_cwj':["createBendWithTransition","$kNb"],
      '_$_hwj':["onDragging","$pNb"],
      '_$_owj':["dragSegmentWithTransition","$uNb"],
      '_$_pwj':["getMoveType","$vNb"],
      '_$_uwj':["onCleanedUp","$ANb"],
      '_$_cxj':["onPortAdded","$GNb"],
      '_$_mxj':["getPortOwner","$QNb"],
      '_$_pxj':["onLabelAdded","$RNb"],
      '_$_yxj':["setDragPoint","$ZNb"],
      '_$_ayj':["armValidBegin","$bOb"],
      '_$_dyj':["getDropTarget","$eOb"],
      '_$_gyj':["getLabelStyle","$hOb"],
      '_$_myj':["onBendCreated","$nOb"],
      '_$_pyj':["onDeletedItem","$pOb"],
      '_$_xyj':["onEdgeCreated","$vOb"],
      '_$_bzj':["onInitialized","$yOb"],
      '_$_ezj':["onItemClicked","$AOb"],
      '_$_gzj':["onItemCreated","$BOb"],
      '_$_mzj':["onNodeCreated","$FOb"],
      '_$_yzj':["createNewLabel","$ROb"],
      '_$_oak':["onDragCanceled","$hPb"],
      '_$_zak':["onInitializing","$nPb"],
      '_$_sbk':["assignEdgeStyle","$CPb"],
      '_$_gck':["onCanvasClicked","$OPb"],
      '_$_yck':["setGraphControl","$dQb"],
      '_$_zck':["shouldBeClicked","$eQb"],
      '_$_cdk':["shouldBeDeleted","$fQb"],
      '_$_fdk':["shouldBeMovable","$hQb"],
      '_$_gdk':["addDummyEdgeBend","$iQb"],
      '_$_kdk':["cleanupEdgePaths","$mQb"],
      '_$_tdk':["installDummyEdge","$uQb"],
      '_$_ydk':["onGestureStarted","$zQb"],
      '_$_kek':["onNodeReparented","$JQb"],
      '_$_nek':["prepareEdgePaths","$MQb"],
      '_$_rek':["updateDropTarget","$QQb"],
      '_$_yek':["getLabelParameter","$YQb"],
      '_$_cfk':["getPortCandidates","$bRb"],
      '_$_ffk':["initializePreview","$eRb"],
      '_$_mfk':["onGestureCanceled","$lRb"],
      '_$_nfk':["onGestureFinished","$mRb"],
      '_$_ofk':["onGestureStarting","$nRb"],
      '_$_qfk':["onItemLeftClicked","$pRb"],
      '_$_xfk':["registerAddedBend","$tRb"],
      '_$_zfk':["setGraphSelection","$vRb"],
      '_$_agk':["setGraphSelectionCore","$wRb"],
      '_$_ngk':["getSourcePortOwner","$JRb"],
      '_$_ogk':["getTargetPortOwner","$KRb"],
      '_$_tgk':["onDeletedSelection","$ORb"],
      '_$_ugk':["onGestureCanceling","$PRb"],
      '_$_vgk':["onGestureFinishing","$QRb"],
      '_$_ygk':["onItemRightClicked","$SRb"],
      '_$_zgk':["onLabelTextChanged","$TRb"],
      '_$_chk':["onQueryItemToolTip","$VRb"],
      '_$_jhk':["shouldQueryToolTip","$bSb"],
      '_$_lhk':["useParameterFinder","$cSb"],
      '_$_mhk':["adjustGroupNodeSize","$dSb"],
      '_$_nhk':["clickClearSelection","$eSb"],
      '_$_gik':["onDeletingSelection","$xSb"],
      '_$_jik':["onItemDoubleClicked","$zSb"],
      '_$_qik':["onValidateLabelText","$ESb"],
      '_$_sik':["setClosestCandidate","$GSb"],
      '_$_vik':["shouldLabelBeEdited","$JSb"],
      '_$_ijk':["initializeDropTarget","$VSb"],
      '_$_wjk':["populatePreviewGraph","$jTb"],
      '_$_zjk':["shouldInstallCommand","$lTb"],
      '_$_kkk':["initializeSnapContext","$wTb"],
      '_$_nkk':["onEdgeCreationStarted","$zTb"],
      '_$_skk':["shouldBeClickSelected","$ETb"],
      '_$_ukk':["shouldBeDoubleClicked","$FTb"],
      '_$_dlk':["shouldSetToCurrentItem","$OTb"],
      '_$_klk':["getDropTargetParentNode","$VTb"],
      '_$_mlk':["getOrthogonalEdgeHelper","$XTb"],
      '_$_slk':["onItemLeftDoubleClicked","$cUb"],
      '_$_vlk':["onTargetLocationChanged","$eUb"],
      '_$_cmk':["getFirstSegmentDirection","$lUb"],
      '_$_fmk':["onItemRightDoubleClicked","$nUb"],
      '_$_smk':["onPopulateItemContextMenu","$zUb"],
      '_$_vmk':["shouldPopulateContextMenu","$BUb"],
      '_$_enk':["createExistingPortCandidate","$JUb"],
      '_$_gnk':["createDummyEdgeVisualCreator","$LUb"],
      '_$_mnk':["getSourcePortCandidateProvider","$RUb"],
      '_$_pnk':["shouldBeMovableForMoveInputMode","$UUb"],
      '_$_vnk':["click","$aVb"],
      '_$_ynk':["collect","$dVb"],
      '_$_kok':["isValidEnd","$pVb"],
      '_$_pok':["dragSegment","$uVb"],
      '_$_qok':["getDistance","$vVb"],
      '_$_rok':["getHitLabel","$wVb"],
      '_$_uok':["isValidBend","$zVb"],
      '_$_apk':["isValidBegin","$FVb"],
      '_$_lpk':["canRemoveBend","$PVb"],
      '_$_ypk':["updatePreview","$aWb"],
      '_$_bqk':["configureDummy","$dWb"],
      '_$_jqk':["onGraphChanged","$kWb"],
      '_$_rqk':["cleanUpEdgePath","$sWb"],
      '_$_sqk':["clickCreateNode","$tWb"],
      '_$_zqk':["isCancelGesture","$AWb"],
      '_$_brk':["isValidLabelHit","$CWb"],
      '_$_irk':["setBendLocationForBend","$JWb"],
      '_$_srk':["hideOriginalEdge","$SWb"],
      '_$_yrk':["removeAddedBends","$YWb"],
      '_$_nsk':["isRemoveBendEvent","$nXb"],
      '_$_rsk':["onLabelTextEdited","$qXb"],
      '_$_ssk':["resolveCandidates","$rXb"],
      '_$_ltk':["unhideOriginalEdge","$IXb"],
      '_$_qtk':["getClosestCandidate","$OXb"],
      '_$_kuk':["getDummyEdgeSnapLines","$iYb"],
      '_$_ouk':["onGraphControlChanged","$mYb"],
      '_$_vuk':["updateTargetPortOwner","$sYb"],
      '_$_avk':["getParameterCandidates","$xYb"],
      '_$_uvk':["onGraphSelectionChanged","$NYb"],
      '_$_bwk':["assignSourcePortPosition","$UYb"],
      '_$_jwk':["createCandidateDescriptor","$cZb"],
      '_$_nwk':["getClosestSourceCandidate","$gZb"],
      '_$_owk':["getClosestTargetCandidate","$hZb"],
      '_$_xwk':["createLabelPositionHandler","$qZb"],
      '_$_axk':["handleActionButtonProvider","$sZb"],
      '_$_fxk':["onNodeDropInputModeChanged","$wZb"],
      '_$_kxk':["onItemHoverInputModeChanged","$AZb"],
      '_$_mxk':["onMoveLabelInputModeChanged","$CZb"],
      '_$_oxk':["isSourceNodeDraggingFinished","$EZb"],
      '_$_pxk':["onCreateBendInputModeChanged","$FZb"],
      '_$_qxk':["onCreateEdgeInputModeChanged","$GZb"],
      '_$_uxk':["onNavigationInputModeChanged","$IZb"],
      '_$_vxk':["onReparentNodeHandlerChanged","$JZb"],
      '_$_xxk':["onTextEditorInputModeChanged","$LZb"],
      '_$_nyk':["getTargetPortCandidateProviderForLocation","$YZb"],
      '_$_ryk':["onNodeDropInputModeNodeCreated","$bac"],
      '_$_lzk':["onCreateBendInputModeBendCreated","$vac"],
      '_$_hal':["createEdgeBetweenNodes","$Qac"],
      '_$_ial':["createEdgeForCandidates","$Rac"],
      '_$_nal':["assignBends","$Wac"],
      '_$_val':["setParameter","$ebc"],
      '_$_ibl':["getNewParameter","$qbc"],
      '_$_ubl':["resolveCandidate","$Cbc"],
      '_$_gcl':["setToPortCandidate","$Obc"],
      '_$_ycl':["getSourcePortCandidate","$dcc"],
      '_$_ddl':["createPortRelocationHandle","$icc"],
      '_$_gdl':["getTargetPortCandidateProvider","$lcc"],
      '_$_xdl':["getSnapLines","$Bcc"],
      '_$_cel':["addPortSnapLines","$Gcc"],
      '_$_del':["addGridSnapResult","$Hcc"],
      '_$_gel':["addCenterSnapLines","$Kcc"],
      '_$_hel':["collectSnapResultsForSnapLine","$Lcc"],
      '_$_rel':["createCenterSnapLine","$Vcc"],
      '_$_uel':["prepareOrthogonalEdge","$Ycc"],
      '_$_vel':["addNodeToNodeSnapLines","$Zcc"],
      '_$_xel':["collectGridSnapResults","$bdc"],
      '_$_cfl':["addNodeToSegmentSnapLines","$gdc"],
      '_$_ifl':["collectSnapLineSnapResults","$mdc"],
      '_$_jfl':["addFixedNodeBorderSnapLines","$ndc"],
      '_$_kfl':["createDefaultLabelConfiguration","$odc"],
      '_$_mfl':["setPort","$qdc"],
      '_$_yfl':["collectSnapLineResults","$Cdc"],
      '_$_cgl':["collectSameSizeSnapResults","$Gdc"],
      '_$_dgl':["addVerticalSegmentSnapLines","$Hdc"],
      '_$_egl':["addHorizontalSegmentSnapLines","$Idc"],
      '_$_ggl':["addSnaplineSnapResult","$Kdc"],
      '_$_lgl':["addGridSnapResultCore","$Pdc"],
      '_$_mgl':["addSameSizeSnapResult","$Qdc"],
      '_$_ogl':["addGridLineSnapResult","$Sdc"],
      '_$_zsl':["CreateBendInputMode","ZUB"],
      '_$_atl':["EdgeDragInputModeBase","AVB"],
      '_$_btl':["EditLabelHelper","BVB"],
      '_$_ctl':["NodeBasedEdgeCreationCallback","CVB"],
      '_$_dtl':["PortBasedEdgeCreationCallback","DVB"],
      '_$_etl':["CreateEdgeInputMode","EVB"],
      '_$_ftl':["EdgeSegmentDirection","FVB"],
      '_$_gtl':["NodeCreationCallback","GVB"],
      '_$_htl':["AdjustContentRectPolicy","HVB"],
      '_$_itl':["GraphEditorInputMode","IVB"],
      '_$_jtl':["GraphInputModeController","JVB"],
      '_$_ktl':["ItemDropInputMode","KVB"],
      '_$_ltl':["DropCreationCallback","LVB"],
      '_$_mtl':["LabelPositionHandler","MVB"],
      '_$_ntl':["LabelTextValidatingEventArgs","NVB"],
      '_$_otl':["MoveLabelInputMode","OVB"],
      '_$_ptl':["NodeDropInputMode","PVB"],
      '_$_qtl':["NodeDropCreationCallback","QVB"],
      '_$_rtl':["OrthogonalEdgeEditingContext","RVB"],
      '_$_stl':["OrthogonalEdgeHelper","SVB"],
      '_$_ttl':["PortLocationModelParameterHandle","TVB"],
      '_$_utl':["ReparentNodeHandler","UVB"],
      '_$_vtl':["NodeSnapLineProvider","VVB"],
      '_$_wtl':["EdgeSnapLineProvider","WVB"],
      '_$_xtl':["SnapLineVisual","XVB"],
      '_$_ytl':["SingleLineSnapLineVisual","YVB"],
      '_$_ztl':["FixedDistanceSnapLineVisual","ZVB"],
      '_$_aul':["InBetweenSnapLineVisual","AWB"],
      '_$_bul':["NodeSnapResultProvider","BWB"],
      '_$_cul':["NodeReshapeSnapResultProvider","CWB"],
      '_$_dul':["DefaultBendCreator","DWB"],
      '_$_eul':["EdgeEndMoveHandle","EWB"],
      '_$_ful':["PortRelocationHandle","FWB"],
      '_$_gul':["PortRelocationHandleProvider","GWB"],
      '_$_hul':["PortsHandleProvider","HWB"],
      '_$$_hhb':["itemHoverInputMode","$vV"],
      '_$$_phb':["itemHoverModePriority","$ZZ"],
      '_$$_kob':["yfiles.input","yfiles._R"],
      '_$$_lob':["yfiles.drawing","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
