/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_dxb':["ForGraphLayout","$a"],
      '_$_exb':["FromGraph","$a"],
      '_$_fxb':["FromAdapter","$b"],
      '_$_gxb':["applyLayout","$c"],
      '_$_hxb':["FromRectParamAndOwner","$a"],
      '_$_ixb':["FromPointSizeParamOwnerAndDescriptor","$b"],
      '_$_jxb':["FromPointSizeParamOwnerInternalAndDescriptor","$c"],
      '_$_kxb':["FromControlAndLayouter","$a"],
      '_$_lxb':["FromControlGraphAndLayouter","$b"],
      '_$_mxb':["doLayout","$a"],
      '_$_nxb':["applyLayout","$b"],
      '_$_oxb':["createSequenceConstraintFactory","$c"],
      '_$_pxb':["createIncrementalLayerConstraintFactory","$d"],
      '_$_qxb':["applyLayoutWithControl","$e"],
      '_$_rxb':["morphLayout","$f"],
      '_$_sxb':["applyLayoutWithControlAndCallback","$g"],
      '_$_txb':["toRectDFromRectangle","$a"],
      '_$_uxb':["toRectDFromRectangle2D","$b"],
      '_$_vxb':["toRectD","$c"],
      '_$_wxb':["toSizeD","$d"],
      '_$_xxb':["toInsets","$e"],
      '_$_yxb':["toPointDFromPoint2D","$f"],
      '_$_zxb':["toPointD","$g"],
      '_$_ayb':["toPointDFromVector","$h"],
      '_$_byb':["toYPoint","$i"],
      '_$_cyb':["toInsetsD","$j"],
      '_$_dyb':["toPoint2D","$k"],
      '_$_eyb':["toYVector","$l"],
      '_$_fyb':["toRectangle","$m"],
      '_$_gyb':["toYDimension","$n"],
      '_$_hyb':["toYRectangle","$o"],
      '_$_iyb':["toRectangle2D","$p"],
      '_$_jyb':["toOrientedRectangle","$q"],
      '_$_kyb':["toImmutableOrientedRectangle","$r"],
      '_$_lyb':["ForGraph","$a"],
      '_$_myb':["ForGraphAndSelectionModel","$b"],
      '_$_qqc':["graph","$vg"],
      '_$_puc':["descriptor","$Oh"],
      '_$_ved':["execute","$lm"],
      '_$_jve':["yGraph","$dE"],
      '_$_yve':["control","$nE"],
      '_$_oye':["duration","$xF"],
      '_$_kze':["layouter","$SF"],
      '_$_fbf':["exception","$NG"],
      '_$_fef':["fromSketch","$kI"],
      '_$_cif':["layoutGraph","$hK"],
      '_$_sjf':["abortHandler","$QK"],
      '_$_ujf':["adaptedGraph","$SK"],
      '_$_xnf':["finishHandler","$VM"],
      '_$_fpf':["originalGraph","$DN"],
      '_$_lrf':["easedAnimation","$FO"],
      '_$_xtf':["selectionModel","$NP"],
      '_$_kuf':["animateViewport","$aQ"],
      '_$_xyf':["edgePortNodeSize","$dS"],
      '_$_gzf':["horizontalLayout","$nS"],
      '_$_vbg':["compactionEnabled","$zT"],
      '_$_peg':["updateContentRect","$LU"],
      '_$_fig':["targetBoundsInsets","$kW"],
      '_$_ong':["minimalTableDistance","$LY"],
      '_$_avg':["tableLayoutConfigurator","$gcb"],
      '_$_lvg':["configureTableNodeLayout","$rcb"],
      '_$_oah':["edgeToEdgeConnectionsIncluded","$Ieb"],
      '_$_odh':["start","$egb"],
      '_$_zdh':["cleanUp","$mgb"],
      '_$_ahh':["createNodeMap","$Ihb"],
      '_$_qkh':["run","$Ejb"],
      '_$_jrh':["prepareAll","$Mmb"],
      '_$_orh':["restoreAll","$Qmb"],
      '_$_puh':["createMapper","$iob"],
      '_$_ruh':["createMapperForEdgeMap","$job"],
      '_$_suh':["createMapperForNodeMap","$kob"],
      '_$_qwh':["createDataMap","$epb"],
      '_$_swh':["createEdgeMapForMapper","$gpb"],
      '_$_twh':["createEdgeMapForDelegate","$hpb"],
      '_$_uwh':["createNodeMapForDelegate","$ipb"],
      '_$_axh':["getCopiedEdge","$npb"],
      '_$_cxh':["getCopiedNode","$opb"],
      '_$_fyh':["createEdgeList","$Spb"],
      '_$_hyh':["createNodeList","$Upb"],
      '_$_wai':["getOriginalEdge","$brb"],
      '_$_abi':["getOriginalNode","$crb"],
      '_$_bgi':["createDataProviderForMapper","$otb"],
      '_$_cgi':["createDataProviderForDelegate","$ptb"],
      '_$_qji':["createEdgeEnumerable","$Qub"],
      '_$_rji':["createNodeEnumerable","$Rub"],
      '_$_jxi':["getRowLayout","$lBb"],
      '_$_izi':["getColumnLayout","$jCb"],
      '_$_ylj':["createAnimation","$CIb"],
      '_$_qmj':["createEdgeLayout","$TIb"],
      '_$_umj':["createNodeLayout","$VIb"],
      '_$_aoj':["prepareTableLayout","$AJb"],
      '_$_boj':["restoreTableLayout","$BJb"],
      '_$_yoj':["createMorphAnimation","$VJb"],
      '_$_kpj':["createTableAnimations","$hKb"],
      '_$_itj':["createTableLayoutConfigurator","$WLb"],
      '_$_ajk':["createEdgePortLayout","$NSb"],
      '_$_hlk':["createViewportAnimation","$STb"],
      '_$_rnk':["getLabelCandidateDescriptorProvider","$WUb"],
      '_$_ttk':["setEdgePortLocation","$RXb"],
      '_$_fdl':["getLabelCandidateDescriptor","$kcc"],
      '_$_zel':["createEdgeLabelCandidate","$ddc"],
      '_$_afl':["createNodeLabelCandidate","$edc"],
      '_$_pgl':["setRelativePortLocation","$Tdc"],
      '_$_udn':["LayoutMorpherWrapper","CJD"],
      '_$_vdn':["CopiedLayoutIGraph","DJD"],
      '_$_wdn':["DataProviderAdapter","EJD"],
      '_$_xdn':["DataMapAdapter","FJD"],
      '_$_ydn':["ExtendedEdgeLabelCandidate","GJD"],
      '_$_zdn':["ExtendedLabelCandidateProfitModel","HJD"],
      '_$_aen':["ExtendedNodeLabelCandidate","IJD"],
      '_$_ben':["LayoutExecutor","JJD"],
      '_$_cen':["LayoutExceptionEventArgs","KJD"],
      '_$_den':["LayoutExtensions","LJD"],
      '_$_een':["GeomExtensions","MJD"],
      '_$_fen':["LayoutGraphAdapter","NJD"],
      '_$_gen':["TableLayoutConfigurator","OJD"],
      '_$_hen':["YGraphAdapter","PJD"],
      '_$$_otb':["yfiles.canvas","yfiles._R"],
      '_$$_ptb':["yfiles.graph","yfiles._R"],
      '_$$_qtb':["yfiles.algorithms","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
