/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_laf':["alignment","$uG"],
      '_$_mjf':["topLayouter","$KK"],
      '_$_iag':["partnerlessBelow","$NS"],
      '_$_eeg':["sortFamilyMembers","$AU"],
      '_$_zng':["offsetForFamilyNodes","$VY"],
      '_$_bsg':["familyNodesAlwaysBelow","$Sab"],
      '_$_uzg':["spacingBetweenFamilyMembers","$qeb"],
      '_$_mum':["FamilyTreeLayouter","UZC"],
      '_$_num':["VerticalNodeAlignment","VZC"],
      '_$_oum':["FamilyMembersSortingPolicy","WZC"],
      '_$$_xsb':["yfiles.genealogy","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
