/****************************************************************************
 **
 ** This file is part of yFiles for HTML 1.2.
 ** 
 ** yWorks proprietary/confidential. Use is subject to license terms.
 **
 ** Copyright (c) 2014 by yWorks GmbH, Vor dem Kreuzberg 28, 
 ** 72070 Tuebingen, Germany. All rights reserved.
 **
 ***************************************************************************/
(typeof define=='function'?define:(function(dependencies, fn){fn();}))(['./lang'],function(){
  {
    if(!yfiles.mappings)yfiles.mappings={};
    {
      var myMappingsVersion="1.2-Complete (Build f3703955f09f)";
      if(myMappingsVersion){
        if(yfiles.mappings&&yfiles.mappings.$version&&yfiles.mappings.$version!==myMappingsVersion){
          throw new Error("Mismatching library versions. Required: "+myMappingsVersion+", found: "+yfiles.mappings.$version);
        }else{
          yfiles.mappings.$version=myMappingsVersion;
        }
      }
    }
    yfiles.lang.copyOwnTo({
      '_$_dub':["WithCoreLayouter","$a"],
      '_$_eub':["IInterEdgeRouter","$a"],
      '_$_fub':["IPartitionFinder","$b"],
      '_$_gub':["IPartitionPlacer","$c"],
      '_$_hub':["ChannelInterEdgeRouter","$d"],
      '_$_iub':["PolylineInterEdgeRouter","$e"],
      '_$_jub':["ComponentPartitionPlacer","$f"],
      '_$_kub':["OrthogonalInterEdgeRouter","$g"],
      '_$_lub':["EdgeBetweennessPartitionFinder","$h"],
      '_$_mub':["FromLineSegment","$a"],
      '_$_nub':["FromCellEntrance","$a"],
      '_$_oub':["IListener","$a"],
      '_$_pub':["calculateUnion","$a"],
      '_$_qub':["calculateUnionWithIntervalAndInterval","$b"],
      '_$_rub':["calculateBridge","$c"],
      '_$_sub':["calculateIntersection","$d"],
      '_$_tub':["calculateSpanningRectangle","$e"],
      '_$_uub':["FromCoordinates","$a"],
      '_$_vub':["calculateUnion","$b"],
      '_$_wub':["valueOfExitDirection","$a"],
      '_$_xub':["valueOfPortCandidate","$b"],
      '_$_yub':["valueOfEnterDirection","$c"],
      '_$_zub':["valueOfPortConstraint","$d"],
      '_$_avb':["PartitionCellBorder","$a"],
      '_$_bvb':["FromRectangle","$b"],
      '_$_cvb':["WithCompleteSpecification","$a"],
      '_$_hfc':["clear","$bd"],
      '_$_ehc':["contains","$sd"],
      '_$_hkc':["type","$re"],
      '_$_znc':["id","$Qf"],
      '_$_doc':["min","$Tf"],
      '_$_roc':["edge","$cg"],
      '_$_opc':["size","$lg"],
      '_$_cqc':["edges","$sg"],
      '_$_oqc':["graph","$vg"],
      '_$_zrc':["width","$Lg"],
      '_$_bsc':["bounds","$Mg"],
      '_$_lsc':["height","$Pg"],
      '_$_usc':["length","$Tg"],
      '_$_utc':["location","$rh"],
      '_$_pad':["cleanup","$Fk"],
      '_$_tad':["getPath","$Gk"],
      '_$_bcd':["initialize","$Zk"],
      '_$_zed':["getData","$om"],
      '_$_rfd':["getCells","$Em"],
      '_$_sfd':["getCellsWithObstacle","$Fm"],
      '_$_hhd':["isSelected","$jn"],
      '_$_thd':["getEdgeInfo","$sn"],
      '_$_iid':["getNeighbors","$En"],
      '_$_kid':["getObstacles","$Fn"],
      '_$_kjd':["onCellCreated","$ao"],
      '_$_tld':["onCellFinalized","$Zo"],
      '_$_ktd':["addDynamicDecompositionListener","$rs"],
      '_$_rtd':["removeDynamicDecompositionListener","$As"],
      '_$_bud':["init","$Hs"],
      '_$_xyd':["findPartitions","$su"],
      '_$_yzd':["onCellSubdivided","$Ku"],
      '_$_aae':["preparePartition","$Mu"],
      '_$_nde':["placePartitions","$pw"],
      '_$_pde':["routeInterEdges","$rw"],
      '_$_lge':["appendEnterIntervals","$Dx"],
      '_$_vle':["distanceTo","$Rz"],
      '_$_kre':["max","$GC"],
      '_$_nre':["cell","$KC"],
      '_$_pre':["cost","$LC"],
      '_$_rre':["data","$MC"],
      '_$_wre':["grid","$PC"],
      '_$_ase':["maxX","$SC"],
      '_$_dse':["maxY","$TC"],
      '_$_hse':["minX","$WC"],
      '_$_kse':["minY","$XC"],
      '_$_wse':["costs","$fD"],
      '_$_zse':["fixed","$hD"],
      '_$_ite':["range","$nD"],
      '_$_cue':["center","$AD"],
      '_$_que':["margin","$OD"],
      '_$_vve':["context","$lE"],
      '_$_zwe':["originX","$ME"],
      '_$_axe':["originY","$NE"],
      '_$_jxe':["spacing","$VE"],
      '_$_vye':["grouping","$FF"],
      '_$_haf':["vertical","$rG"],
      '_$_paf':["bendCount","$yG"],
      '_$_uaf':["direction","$FG"],
      '_$_rcf':["partition","$xH"],
      '_$_zcf':["rerouting","$DH"],
      '_$_bef':["edgeRouter","$eI"],
      '_$_nff':["pathSearch","$SI"],
      '_$_sgf':["bendPenalty","$xJ"],
      '_$_bhf':["currentEdge","$HJ"],
      '_$_ukf':["exitInterval","$rL"],
      '_$_klf':["maxExtension","$HL"],
      '_$_llf':["minExtension","$IL"],
      '_$_olf':["mirrorBorder","$LL"],
      '_$_cmf':["segmentGroup","$XL"],
      '_$_dmf':["segmentIndex","$YL"],
      '_$_emf':["segmentInfos","$ZL"],
      '_$_cnf':["configuration","$zM"],
      '_$_onf':["edgeCellInfos","$MM"],
      '_$_tnf':["enterInterval","$RM"],
      '_$_vnf':["exitDirection","$TM"],
      '_$_wnf':["exitSegmentNo","$UM"],
      '_$_oof':["locationRange","$mN"],
      '_$_eqf':["widthInterval","$aO"],
      '_$_rrf':["enterDirection","$LO"],
      '_$_srf':["enterSegmentNo","$MO"],
      '_$_fsf':["heuristicCosts","$XO"],
      '_$_osf':["interEdgeDPKey","$fP"],
      '_$_xsf':["lengthInterval","$nP"],
      '_$_duf':["sphereOfAction","$RP"],
      '_$_zuf':["cutObstacleCost","$pQ"],
      '_$_rvf':["interEdgeRouter","$HQ"],
      '_$_ewf':["maximumDuration","$TQ"],
      '_$_nwf':["partitionFinder","$ZQ"],
      '_$_owf':["partitionPlacer","$aR"],
      '_$_pwf':["penaltySettings","$bR"],
      '_$_twf':["polylineRouting","$fR"],
      '_$_fyf':["cellSegmentInfos","$MR"],
      '_$_zyf':["exitSegmentGroup","$fS"],
      '_$_jag':["pathSearchResult","$OS"],
      '_$_lag':["previousEntrance","$QS"],
      '_$_sag':["strongSourcePort","$XS"],
      '_$_tag':["strongTargetPort","$YS"],
      '_$_nbg':["channelEdgeRouter","$sT"],
      '_$_ubg':["commonSegmentInfo","$yT"],
      '_$_xbg':["componentLayouter","$BT"],
      '_$_jcg':["edgeLengthPenalty","$LT"],
      '_$_kcg':["enterSegmentGroup","$NT"],
      '_$_bfg':["combinedSourceCell","$WU"],
      '_$_cfg':["combinedTargetCell","$XU"],
      '_$_ffg':["considerEdgeLabels","$ZU"],
      '_$_kfg':["considerNodeLabels","$aV"],
      '_$_ehg':["preferredAlignment","$OV"],
      '_$_uhg':["selectedEdgesDpKey","$cW"],
      '_$_xhg':["selectedNodesDpKey","$dW"],
      '_$_wig':["commonLocationRange","$zW"],
      '_$_hjg':["edgeCrossingPenalty","$LW"],
      '_$_ijg':["edgeOrderComparator","$MW"],
      '_$_hkg':["nodeCrossingPenalty","$gX"],
      '_$_xkg':["restOfComputingTime","$xX"],
      '_$_zkg':["routeInterEdgesOnly","$zX"],
      '_$_nlg':["unbalancedRatioCost","$NX"],
      '_$_bog':["orthogonalEdgeRouter","$XY"],
      '_$_gog':["portViolationPenalty","$cZ"],
      '_$_hog':["previousEdgeCellInfo","$dZ"],
      '_$_eqg':["ignoreInnerNodeLabels","$XZ"],
      '_$_fqg':["interEdgeRoutingStyle","$YZ"],
      '_$_hqg':["maximumPartitionCount","$bab"],
      '_$_lqg':["minimumPartitionCount","$fab"],
      '_$_hrg':["atStrongPortConstraint","$Aab"],
      '_$_bvg':["unbalancedObstaclesCost","$hcb"],
      '_$_pvg':["edgeLabelCrossingPenalty","$vcb"],
      '_$_uvg':["groupNodeCrossingPenalty","$zcb"],
      '_$_xvg':["minimalLastSegmentLength","$Ccb"],
      '_$_bwg':["monotonicPathRestriction","$Ecb"],
      '_$_cwg':["monotonyViolationPenalty","$Fcb"],
      '_$_iwg':["nodeLabelCrossingPenalty","$Jcb"],
      '_$_kxg':["minimalEdgeToEdgeDistance","$jdb"],
      '_$_mxg':["minimalFirstSegmentLength","$kdb"],
      '_$_nxg':["minimalNodeCornerDistance","$ldb"],
      '_$_oxg':["minimalNodeToEdgeDistance","$mdb"],
      '_$_ryg':["invalidEdgeGroupingPenalty","$Ndb"],
      '_$_hzg':["currentEdgeLayoutDescriptor","$deb"],
      '_$_izg':["defaultEdgeLayoutDescriptor","$eeb"],
      '_$_ozg':["maximumPolylineSegmentRatio","$keb"],
      '_$_vah':["registeredPartitionExtensions","$Peb"],
      '_$_jbh':["preferredPolylineSegmentLength","$dfb"],
      '_$_kbh':["registeredPathSearchExtensions","$efb"],
      '_$_ach':["bendsInNodeToEdgeDistancePenalty","$ufb"],
      '_$_dch':["maximumNonOrthogonalSegmentRatio","$xfb"],
      '_$_ech':["minimalEdgeToEdgeDistancePenalty","$yfb"],
      '_$_fch':["minimalNodeCornerDistancePenalty","$zfb"],
      '_$_gch':["minimalNodeToEdgeDistancePenalty","$Afb"],
      '_$_nch':["partitionGridCellReentrancePenalty","$Hfb"],
      '_$_vch':["minimalFirstLastSegmentLengthPenalty","$Pfb"],
      '_$_wch':["minimalGroupNodeToEdgeDistancePenalty","$Qfb"],
      '_$_ndh':["route","$dgb"],
      '_$_qeh':["clearData","$Bgb"],
      '_$_ifh':["createCopy","$Pgb"],
      '_$_tgh':["segmentCount","$Chb"],
      '_$_hih':["sourceCellCount","$mib"],
      '_$_iih':["targetCellCount","$nib"],
      '_$_xih':["segmentGroupCount","$Eib"],
      '_$_djh':["calculatePathPoints","$Lib"],
      '_$_ijh':["cellSegmentInfoCount","$Sib"],
      '_$_rjh':["calculateLineSegments","$cjb"],
      '_$_nmh':["crosses","$Bkb"],
      '_$_pnh':["getCellsWithNode","$alb"],
      '_$_snh':["getNodes","$dlb"],
      '_$_loh':["coveredBy","$vlb"],
      '_$_soh':["findPaths","$Clb"],
      '_$_sph':["addSegment","$amb"],
      '_$_cqh':["distanceToWithOther","$jmb"],
      '_$_jqh':["getClosest","$omb"],
      '_$_oqh':["getSegment","$tmb"],
      '_$_sqh':["intersects","$wmb"],
      '_$_yqh':["isLessThan","$Bmb"],
      '_$_irh':["positionOf","$Lmb"],
      '_$_mrh':["removeData","$Omb"],
      '_$_tsh':["getEdgeInfoWithPath","$pnb"],
      '_$_ush':["getEntrance","$snb"],
      '_$_xsh':["getObstacle","$vnb"],
      '_$_evh':["hasSameRange","$vob"],
      '_$_hvh':["isSourceCell","$yob"],
      '_$_ivh':["isTargetCell","$zob"],
      '_$_jwh':["addSourceCell","$Xob"],
      '_$_kwh':["addTargetCell","$Yob"],
      '_$_ixh':["getSourceCell","$upb"],
      '_$_jxh':["getTargetCell","$vpb"],
      '_$_nxh':["isGreaterThan","$Apb"],
      '_$_oyh':["getNextSegment","$cqb"],
      '_$_qyh':["getSegmentInfo","$eqb"],
      '_$_cai':["addSegmentGroup","$Kqb"],
      '_$_oai':["getEdgeCellInfo","$Vqb"],
      '_$_bbi':["getSegmentGroup","$drb"],
      '_$_fdi':["getFinalizedPath","$Zrb"],
      '_$_fgi':["getCellSegmentInfo","$stb"],
      '_$_igi':["getCurrentLocation","$vtb"],
      '_$_kgi':["getPreviousSegment","$xtb"],
      '_$_xhi':["manhattanDistanceTo","$gub"],
      '_$_pji':["createBorderInterval","$Pub"],
      '_$_fmi':["addPathSearchExtension","$awb"],
      '_$_spi':["removePathSearchExtension","$Dxb"],
      '_$_msi':["addAdditionalEnterIntervalCalculator","$Pyb"],
      '_$_osi':["removeAdditionalEnterIntervalCalculator","$Ryb"],
      '_$_eui':["putData","$Fzb"],
      '_$_iui':["setPath","$Izb"],
      '_$_sui':["coveredByWithOtherAndEps","$Tzb"],
      '_$_wvi':["intersectsWithOtherAndMinIntersection","$yAb"],
      '_$_nwi':["setEntrance","$OAb"],
      '_$_kxi':["hasSameRangeWithOtherAndEps","$mBb"],
      '_$_tyi':["createObstacle","$UBb"],
      '_$_waj':["setCurrentLocation","$YCb"],
      '_$_jhj':["graphPartition","$pGb"],
      '_$_mkj':["newInstance","$PHb"],
      '_$_wmj':["createPathSearch","$XIb"],
      '_$_lnj':["createPathRouting","$mJb"],
      '_$_rsj':["createObstacleDecomposition","$FLb"],
      '_$_hvj':["setEdges","$QMb"],
      '_$_jxj':["finalizePath","$NNb"],
      '_$_cyj':["finalizeEdges","$dOb"],
      '_$_dck':["initializeEdges","$MPb"],
      '_$_tek':["cancelCurrentEdge","$SQb"],
      '_$_rhk':["configurePathSearch","$iSb"],
      '_$_zhk':["finalizeCurrentEdge","$qSb"],
      '_$_aik':["fireCreateCellEvent","$rSb"],
      '_$_yik':["appendStartEntrances","$LSb"],
      '_$_cjk':["createGraphPartition","$PSb"],
      '_$_vjk':["optimizeSegmentOrder","$iTb"],
      '_$_bkk':["cleanupGraphPartition","$nTb"],
      '_$_ekk':["fireFinalizeCellEvent","$qTb"],
      '_$_jkk':["initializeCurrentEdge","$vTb"],
      '_$_lkk':["isValidTargetEntrance","$xTb"],
      '_$_wkk':["adjustSegmentLocations","$HTb"],
      '_$_flk':["calculateHeuristicCosts","$QTb"],
      '_$_glk':["configureGraphPartition","$RTb"],
      '_$_jlk':["findPathsForCurrentEdge","$UTb"],
      '_$_llk':["getEdgeLayoutDescriptor","$WTb"],
      '_$_ylk':["finalizePathSearchResult","$hUb"],
      '_$_kmk':["calculateSegmentLocations","$rUb"],
      '_$_ymk':["calculateStartEntranceCost","$DUb"],
      '_$_npk':["checkNodeSize","$QVb"],
      '_$_zrk':["sortSegmentInfos","$ZWb"],
      '_$_usk':["checkGroupNodeSize","$tXb"],
      '_$_ntk':["createConfiguration","$LXb"],
      '_$_ptk':["fireSubdividedEvent","$NXb"],
      '_$_gvk':["createPathSearchContext","$CYb"],
      '_$_jzk':["createDefaultEdgeOrderComparator","$tac"],
      '_$_abl':["handleNeighbor","$ibc"],
      '_$_icl':["getObstacleCutCosts","$Qbc"],
      '_$_zcl':["decreasePenaltySettings","$ecc"],
      '_$_edl':["createSegmentInfoComparator","$jcc"],
      '_$_rfl':["calculateCosts","$vdc"],
      '_$_xfl':["getGeometricCutCosts","$Bdc"],
      '_$_uzm':["FixedGroupLayoutStage","CFD"],
      '_$_vzm':["PartitionLayouter","DFD"],
      '_$_wzm':["AbstractSegmentInfo","EFD"],
      '_$_xzm':["CellEntrance","FFD"],
      '_$_yzm':["CellSegmentInfo","GFD"],
      '_$_zzm':["Channel","HFD"],
      '_$_aan':["ChannelBasedPathRouting","IFD"],
      '_$_ban':["DynamicObstacleDecomposition","JFD"],
      '_$_can':["EdgeCellInfo","KFD"],
      '_$_dan':["EdgeInfo","LFD"],
      '_$_ean':["EdgeLayoutDescriptor","MFD"],
      '_$_fan':["EdgeRouter","NFD"],
      '_$_gan':["Alignment","OFD"],
      '_$_han':["RoutingType","PFD"],
      '_$_ian':["GraphPartition","QFD"],
      '_$_jan':["GraphPartitionExtensionAdapter","RFD"],
      '_$_kan':["Grid","SFD"],
      '_$_lan':["IDynamicDecomposition","TFD"],
      '_$_man':["DynamicDecompositionCompanion","UFD"],
      '_$_nan':["IEnterIntervalCalculator","VFD"],
      '_$_oan':["IGraphPartitionExtension","WFD"],
      '_$_pan':["Interval","XFD"],
      '_$_qan':["IObstaclePartition","YFD"],
      '_$_ran':["IPartition","ZFD"],
      '_$_san':["IPartitionCellKeys","AGD"],
      '_$_tan':["PartitionCellKeysCompanion","BGD"],
      '_$_uan':["Obstacle","CGD"],
      '_$_van':["OrthogonalInterval","DGD"],
      '_$_wan':["PartitionCell","EGD"],
      '_$_xan':["Path","FGD"],
      '_$_yan':["PathSearch","GGD"],
      '_$_zan':["PathSearchConfiguration","HGD"],
      '_$_abn':["PathSearchContext","IGD"],
      '_$_bbn':["PathSearchExtension","JGD"],
      '_$_cbn':["PathSearchResult","KGD"],
      '_$_dbn':["PenaltySettings","LGD"],
      '_$_ebn':["PolylineLayoutStage","MGD"],
      '_$_fbn':["SegmentGroup","NGD"],
      '_$_gbn':["SegmentInfo","OGD"],
      '_$$_itb':["yfiles.layout","yfiles._R"],
      '_$$_jtb':["yfiles.router.polyline","yfiles._R"]
    },yfiles.mappings);
  }
  return undefined;
});
